2005-07-20  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, NEWS, configure.in, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po:
	4.0.11.1 will be released tmorrow (21-07-2005).

	* configure.in, NEWS:
	fixed configure.in: now is possible build shadow with enabled/disabled shadow group
	support (thanks for report symptoms of the bug to Greg Schafer <gschafer@zip.com.au>).

	* po/sv.po, NEWS: update finished (by Per Olofsson <pelle@dsv.su.se>)

	* po/sv.po: partialy updated (by Per Olofsson <pelle@dsv.su.se>).

2005-07-19  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, configure.in: start work on 4.0.12.

2005-07-18  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/sub.c:
	fixed compilation warning about incompatible implicit declaration of built-in
	function âprintfâ: added "#include <stdio.h>".

	* src/groupadd.c:
	move #ifdef USE_PAM .. #endif #includes outside #ifdef SHADOWGRP .. #endif.

	* libmisc/pwdcheck.c:
	added missing "#include <stdio.h>" (fix compilation with PAM disabled).

	* po/ro.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, po/pl.po, po/pt_BR.po, po/nl.po, po/nn.po, po/nb.po, po/ko.po, po/ja.po, po/it.po, po/he.po, po/id.po, po/fr.po, po/bs.po, po/ca.po, po/da.po, po/el.po, po/es.po, po/eu.po, po/fi.po:
	run "make update-po".

	* src/su.c:
	move declaration of pamh nad caught variables to #ifdef USE_PAM .. #endif.

	* po/pl.po, NEWS: updated pl translation.

2005-07-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, po/sk.po:
	updated for 4.0.11 (by Peter Mann <Peter.Mann@tuke.sk>).

2005-07-16  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, po/cs.po:
	updated for 4.0.11 (by Miroslav Kure <kurem@upcase.inf.upol.cz>).

2005-07-15  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/de.po, NEWS:
	updated for 4.0.11 (by Frank Schmid <frank@cs-schmid.de>).

2005-07-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, po/pt.po:
	updated for 4.0.11 (by Miguel Figueiredo <elmig@debianpt.org>).

2005-07-13  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/stats: reorder gsub().

	* po/ru.po: cleanups.

	* po/ru.po, NEWS:
	updated for 4.0.11 (by Yuri Kozlov <yucoz@yandex.ru>).

2005-07-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* lib/getdef.c:
	move MAIL_DIR variable from def_table[] to part independent to USE_PAM
	(still used in userdel/usermod).

	* NEWS, man/pwck.8, man/pwck.8.xml:
	document -q option (based on Debian patch for fix http://bugs.debian.org/309408)
	Rewrited OPTIONS section and better SYNOPSIS.

	* NEWS, po/da.po:
	- updated for 4.0.11 (by Claus Hindsgaul <claus_h@image.dk>).

	* NEWS, src/su.c:
	ignore SIGINT while authenticating. A ^C could defeat the waiting period and
	permit brute-force attacks. Also ignore SIGQUIT.
	Fixed: http://bugs.debian.org/52372 and http://bugs.debian.org/288827

	* po/fi.po, NEWS:
	- updated for 4.0.11 (by Tommi Vainikainen <thv+debian@iki.fi>).

	* po/ro.po: - updated Project-Id-Version field.

	* NEWS, po/ro.po:
	- updated for 4.0.11 (by Sorin B. <sorin@bonbon.net>).

2005-07-11  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, man/lastlog.8, man/lastlog.8.xml:
	document that lastlog is a sparse file, and don't need to be rotated.
	http://bugs.debian.org/219321

	* src/chage.c: use E_USAGE=2 as usage() exit code.

	* NEWS, po/es.po:
	updated for 4.0.11 (by Ruben Porras <nahoo82@telefonica.net>).

	* src/useradd.c: cleanups in usage() oyput.

	* po/zh_TW.po, po/vi.po, po/zh_CN.po, po/uk.po, po/tl.po, po/tr.po, po/sv.po, po/sq.po, po/sk.po, po/ro.po, po/ru.po, po/pt.po, po/pt_BR.po, po/pl.po, po/nb.po, po/nl.po, po/nn.po, po/ko.po, po/it.po, po/ja.po, po/he.po, po/id.po, po/fr.po, po/eu.po, po/fi.po, po/es.po, po/da.po, po/de.po, po/el.po, po/bs.po, po/ca.po, po/cs.po:
	cleanups in usage() output.

	* NEWS: release 4.0.11 is sheduled to 18-06-2005.

2005-07-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/login.1, man/login.1.xml, NEWS:
	better explain the respective roles of login, init and getty with regards
	to the utmp file (based on 441_manpages-shadow.5 Debian patch)

	* man/groupdel.8.xml, man/su.1, man/su.1.xml, man/groupdel.8:
	s/presense/presence/; s/filesystem/file system/
	(sed on 440_manpages-login.1 Debian patch)

	* man/pl/shadowconfig.8, man/pl/Makefile.am, man/ja/shadowconfig.8, man/ja/Makefile.am, man/it/shadowconfig.8, man/shadowconfig.8, man/shadowconfig.8.xml, man/Makefile.am, NEWS:
	removed shadowconfig(8) man page (will be maintained in Debian shadow pkg repository).

	* man/it/sg.1: added.

	* man/it/Makefile.am: more files in man_MANS.

	* man/it/Makefile.am: move pwunconv.8 to man_MANS.

	* man/useradd.8.xml, man/useradd.8:
	updated after rewrite for for getopt_long() in useradd (-D and -k options
	idescription must be finished).

	* src/useradd.c, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, NEWS:
	rewrited for use getopt_long().

	* po/stats: more gsub().

2005-07-08  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/newgrp.c:
	indent source code and use fix for handle splitted groups unconditionaly.

	* lib/nscd.c: indent.

	* NEWS, src/newgrp.c:
	add fix for handle splitted NIS groups: extends the functionality that,
	if the requested group is given, all groups of the same GID are tested for
	membership of the requesting user.
	(fix by Christian Mudra <C.Mudra@science-computing.de>

	* lib/nscd.c, NEWS:
	for some reason doing the INVALIDATE call with two write()'s fails.
	Do one writev() call instead. http://bugs.gentoo.org/show_bug.cgi?id=80413
	(submited by Martin Schlemmer <azarah@gentoo.org>)

	* NEWS, lib/nscd.c:
	merge nscd-socket-path patch from Fedora: newer glibc's have a different nscd socket
	location (/var/run/nscd/socket instead /var/run/.nscd_socket).

2005-07-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/stats: improved.

	* man/groupadd.8, man/groupadd.8.xml, NEWS:
	document -o option in groupadd(8).

	* configure.in: s/'"$<foo>" != "no"'/'"$<foo>" = "yes"'/

	* NEWS, configure.in, lib/Makefile.am, lib/pwauth.c:
	S/Key support is back.

	* po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po:
	run "make update-po".

	* po/pl.po: updated.

	* src/useradd.c: s,key=value,KEY=VALUE,

	* src/groupadd.c, NEWS, man/groupadd.8, man/groupadd.8.xml:
	change -O option to -K and document it in man page.

	* man/useradd.8, man/useradd.8.xml, src/useradd.c:
	s/NAME=VALUE/KEY=VALUE/; s/key=value/KEY=VALUE/

	* src/chfn.c, src/groupadd.c, src/groupmems.c, src/login.c, src/passwd.c, src/vipw.c:
	sort cases in switch (flag) {}.

	* src/gpasswd.c, src/groupadd.c, src/groupmems.c, src/groupmod.c, src/passwd.c, src/useradd.c, src/usermod.c:
	sort getopt() optstring.

	* src/useradd.c:
	remove A: from getopt() optstring (the same bug as in usermod).

	* src/usermod.c:
	remove A: from getopt() optstring (it was for handle AUTH_METHODS code but now
	it is not used option). Catched by Thorsten Kukuk <kukuk@suse.de>.

	* src/usermod.c, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po:
	indent source code. Added usermod error message about -a option usage to translated messages.

	* po/POTFILES.in: mistake s,chage_chkshell.c,chsh_chkshell.c,

	* po/POTFILES.in: s,libmisc/chkshell.c,src/chage_chkshell.c,

	* man/usermod.8, man/usermod.8.xml, src/usermod.c, NEWS:
	added -a option. This flag can only be used in conjunction with the -G
	option. It cause usermod to append user to the current supplementary group list.
	(patch by Peter Vrabec <pvrabec@redhat.com>)

	* libmisc/chkshell.c, libmisc/Makefile.am, src/Makefile.am, src/chsh_chkshell.c:
	move libmisc/chkshell.c to src/chsh_chkshell.c. check_shell() is used only by chsh.

2005-07-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* acconfig.h, NEWS, configure.in:
	finish move all autoheader templates from acconfig.h to configure.in.

	* src/chage.c, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, NEWS:
	added missing \n in chage error messages.

	* po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/bs.po:
	run "make update-po".

	* src/usermod.c: move all #include in one place.

	* src/useradd.c: s/-O/-K/

	* man/useradd.8, man/useradd.8.xml:
	cleanups in Note: in -K description.

	* NEWS, man/useradd.8, man/useradd.8.xml, src/useradd.c:
	change -O option to -K and document it in man page.

	* man/useradd.8, man/useradd.8.xml:
	added separated <cmdsynopsis></cmdsynopsis> for -D description and remove using </srb> tags from
	<refsynopsisdiv id='synopsis'>.

	* src/login.c:
	replace #ifdef USE_PAM .. #endif #ifndef USE_PAN .. #endif by
	#ifdef USE_PAM .. #else .. #endif.

	* src/su.c: conditiona code reorganization.

	* src/login.c: remove one #ifndef USE_PAM .. #endif.

	* libmisc/setupenv.c: move setup $MAIL to !USE_PAM.

	* libmisc/setupenv.c, src/su.c:
	consolidate two sections of code #ifndef USE_PAM to one.

	* src/su.c, src/sulogin.c, libmisc/setupenv.c, libmisc/tz.c, src/login.c, NEWS:
	fixed erroneous warning messages about some login.defs variables when used with PAM
	(fix by DJ Lucas <dj@linuxfromscratch.org>)

2005-07-05  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in, libmisc/getdate.y, libmisc/utmp.c, src/logoutd.c:
	remove non-USG code.

	* acconfig.h, configure.in:
	start moving all autoheader templates from acconfig.h to configure.in.

	* configure.in: remove not used AC_DEFINE(HAVE_LIBCRYPT).

	* acconfig.h, NEWS, configure.in:
	stop with error message if crypt() not found. Remove --with{,out}-libcrypt switch.

	* src/login.c: fixed use SYSLOG macro.

2005-07-02  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/login_nopam.c: fixed use SYSLOG macro.

2005-07-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, src/login.c:
	setup limits and umask (using login.defs ULIMITS and UMASK variables) only when
	PAM support is disabled (it is task for pam_limits and pam_umask modules).

2005-06-30  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/sulogin.c, src/login.c, src/login_nopam.c, NEWS:
	use SYSLOG macro instead syslog() which saves the locale, sets the locale to C,
	sends the message and restores the locale (fix by Nicolas FranĂ§ois <nicolas.francois@centraliens.net>).

	* NEWS, man/groupadd.8, man/groupadd.8.xml, man/groupdel.8, man/groupdel.8.xml, man/groupmod.8, man/groupmod.8.xml, man/userdel.8, man/userdel.8.xml, man/usermod.8, man/usermod.8.xml:
	in SEE ALLSO section added refer to gpasswd(8)
	(suggested by Mike Frysinger <vapier@gentoo.org>)

	* NEWS, configure.in: start work on 4.0.11.

2005-06-28  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: +1 day release 4.0.10 date.

	* po/pl.po: kill fuzzy.

	* po/de.po: partial update by Frank Schmid <frank@cs-schmid.de>.

2005-06-25  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/ca.po: run "make update-po".

	* po/sk.po: updated sk translation by Peter Mann <Peter.Mann@tuke.sk>.

2005-06-22  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: typo.

2005-06-21  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po: typo.

	* po/pl.po: updated for 4.0.10.

	* po/ru.po, NEWS: updated ru translation by maintainer.

	* NEWS: added past releases dates. Cleanups.

	* man/shadowconfig.8: merge version generated from XML file.

	* po/ca.po, po/cs.po, po/da.po, po/fi.po, NEWS:
	translations updated by maintainers.

2005-06-20  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/chage.c, po/zh_TW.po, po/vi.po, po/zh_CN.po, po/tl.po, po/tr.po, po/uk.po, po/sk.po, po/sq.po, po/sv.po, po/ro.po, po/ru.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/eu.po, po/fi.po, po/fr.po, po/de.po, po/el.po, po/es.po, po/ca.po, po/cs.po, po/da.po, po/bs.po (usage):
	s/EXPIRE/EXPIRE_DATE/.

	* po/pl.po: start update for 4.0.10.

	* src/usermod.c, src/useradd.c, src/userdel.c, src/id.c, src/newgrp.c, src/su.c, po/zh_TW.po, po/zh_CN.po, po/vi.po, po/uk.po, po/tr.po, po/tl.po, po/sv.po, po/sq.po, po/sk.po, po/ru.po, po/pt_BR.po, po/ro.po, po/pt.po, po/pl.po, po/nn.po, po/nl.po, po/nb.po, po/ko.po, po/ja.po, po/it.po, po/id.po, po/he.po, po/fr.po, po/eu.po, po/fi.po, po/es.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po:
	s/uid/UID/ in all commnets and messages.

	* libmisc/failure.c, libmisc/limits.c, lib/pwio.c:
	s/uid/UID/ in comments.

	* src/usermod.c, src/useradd.c, src/groupadd.c, src/groupmod.c, src/id.c, src/newgrp.c, po/zh_TW.po, po/zh_CN.po, po/vi.po, po/uk.po, po/tr.po, po/tl.po, po/sv.po, po/sq.po, po/sk.po, po/ru.po, po/ro.po, po/pt_BR.po, po/pt.po, po/pl.po, po/nn.po, po/nl.po, po/nb.po, po/ko.po, po/ja.po, po/it.po, po/he.po, po/id.po, po/fr.po, po/fi.po, po/eu.po, po/es.po, po/el.po, po/da.po, po/de.po, po/cs.po, po/bs.po, po/ca.po, libmisc/limits.c, lib/groupio.c:
	s/gid/GID/ in all comments and messages.

	* src/gpasswd.c, src/login.c, src/passwd.c, src/chage.c, src/chfn.c, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po:
	one message in i18n messages less: use in all places "Permission denied" instead
	"permission denied".

	* libmisc/getdate.y:
	remove extern for gmtime(), localtime() and mktime() and instead add #include <time.h>.

	* libmisc/entry.c: removed extern for fgetpwent().

	* NEWS, man/chage.1, man/chfn.1, man/chpasswd.8, man/chsh.1, man/expiry.1, man/faillog.5, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupdel.8, man/groupmod.8, man/groups.1, man/grpck.8, man/gshadow.5, man/id.1, man/lastlog.8, man/login.1, man/login.defs.5, man/newusers.8, man/passwd.1, man/passwd.5, man/pw_auth.3, man/pwck.8, man/pwconv.8, man/shadow.3, man/shadow.5, man/su.1, man/useradd.8, man/userdel.8, man/usermod.8, man/vipw.8:
	now most of the man pages now are generated from XML files so in case any submiting
	any chages to this resources please make diff fies to XML files.

	* man/pw_auth.3.xml: cleanups.

	* man/grpck.8.xml, man/passwd.1.xml:
	correctly code EXIT VALUES section using <variablelist>. Cleanups.

	* man/shadow.3.xml: cleanups.

2005-06-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/ja/mkpasswd.8, man/ja/Makefile.am, man/pl/mkpasswd.8, man/pl/Makefile.am:
	remove ja and pl mkpasswd.8 man pages.

2005-06-16  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pwck.8.xml, man/useradd.8.xml, man/userdel.8.xml:
	correctly code EXIT VALUES section.

	* acconfig.h: removed DES_RPC and OPIE templates.

	* src/mkpasswd.c, src/Makefile.am, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, NEWS, man/mkpasswd.8, man/mkpasswd.8.xml, man/Makefile.am, po/POTFILES.in, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po:
	removed mkpasswd.

	* man/Makefile.am: do not install mkpasswd(8) man page.

	* src/Makefile.am: move mkpasswd.c to EXTRA_DIST.

	* man/passwd.5.xml:
	use <itemizedlist mark='bullet'> for describe passwd fields. Remove outdated
	information about additional fields in comment field. Cleanups.

	* man/newusers.8.xml: cleanups.

	* man/gshadow.5.xml:
	use <itemizedlist mark='bullet'> for gshadow fields desscription.

	* man/shadow.5.xml: cleanups.

	* man/shadow.5.xml:
	use <itemizedlist mark='bullet'> for describe shadow fields.

	* man/pw_auth.3.xml: cleanups.

	* man/pw_auth.3.xml: use correct <refname>.

	* man/pw_auth.3.xml: cleanups.

	* man/groupdel.8.xml, man/groupmod.8.xml:
	correctly code EXIT VALUES section.

	* man/groupadd.8.xml: cleanups.

	* man/mkpasswd.8.xml: added missing <variablelist> tag.

	* man/usermod.8.xml: cleanups.

	* man/usermod.8.xml: remove <sbr/> tags from SYNOPSIS section.

	* man/faillog.8.xml: cleanups.

	* man/faillog.5.xml:
	put struct faillog definition in <programlisting></programlisting>.

	* man/chsh.1.xml, man/chpasswd.8.xml: cleanups.

	* man/groupadd.8.xml:
	seems I found good way for code EXIT VALUES section.

	* man/shadow.3.xml:
	put meanings of each field spwd struct in <itemizedlist mark='bullet'>.

	* man/shadow.3.xml:
	place definition of struct spwd in <programlisting></programlisting>.

	* NEWS, src/userdel.c:
	userdel now deletes user groups from /etc/gshdow as well as /etc/group.
	Fix by Nicolas FranĂ§ois <nicolas.francois@centraliens.net>.
	http://bugs.debian.org/99442

	* src/usermod.c, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, NEWS, po/bs.po, po/ca.po, po/cs.po:
	fixed bug in usermod ad run "make -C po update-po".
	When relocating a user's home directory, don't fail and remove the new
	home directory if we can't remove the old home directory for some
	reason; the results can be spectularly poort if, for instance, only
	the rmdir() fails. Patch prepared by Timo Lindfors <lindi-spamtrap@newmail.com>.
	http://bugs.debian.org/166369

2005-06-15  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/login.c: indent.

	* man/shadowconfig.8.xml, man/chage.1.xml, man/faillog.8.xml, man/groupmems.8.xml, man/gshadow.5.xml, man/login.1.xml, man/login.defs.5.xml, man/logoutd.8.xml, man/newusers.8.xml, man/passwd.1.xml, man/passwd.5.xml, man/pw_auth.3.xml, man/pwck.8.xml, man/pwconv.8.xml, man/shadow.3.xml, man/shadow.5.xml, man/su.1.xml, man/suauth.5.xml, man/sulogin.8.xml, man/useradd.8.xml, man/userdel.8.xml, man/usermod.8.xml, man/vipw.8.xml:
	cleanups.

2005-06-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/chage.1.xml, man/chfn.1.xml, man/chpasswd.8.xml, man/chsh.1.xml, man/expiry.1.xml, man/faillog.8.xml, man/gpasswd.1.xml, man/groupadd.8.xml, man/groupdel.8.xml, man/groupmems.8.xml, man/groupmod.8.xml, man/groups.1.xml, man/grpck.8.xml, man/gshadow.5.xml, man/id.1.xml, man/limits.5.xml, man/login.1.xml, man/login.access.5.xml, man/login.defs.5.xml, man/logoutd.8.xml, man/faillog.5.xml:
	cleanups.

	* man/login.1.xml: rewrited FILES section.

	* man/id.1.xml, man/lastlog.8.xml, man/gshadow.5.xml: cleanups.

	* man/groups.1.xml: typos.

	* man/chfn.1.xml, man/expiry.1.xml, man/gpasswd.1.xml: cleanups.

2005-06-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS:
	last patch for UTMPX was submited by by Nicolas FranĂ§ois <nicolas.francois@centraliens.net>

	* libmisc/failure.c, libmisc/failure.h, NEWS:
	use also UTMPX API instead UTMP on failure (login was by affected this when shadow
	was builded without PAM support).

	* NEWS, src/login.c:
	the PAM session needs to be closed as root, thus before change_uid()
	http://bugs.debian.org/53570 http://bugs.debian.org/195048 http://bugs.debian.org/211884

	* man/passwd.1, man/passwd.1.xml:
	s/compatiblity/compatibility/ (fix by Christian Perrier <bubulle@kheops.frmug.org>).

2005-06-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, man/chfn.1, man/chfn.1.xml:
	give more details about the influence of login.defs on what's allowed to
	users (based on Debian patches).

	* NEWS, src/su.c:
	fix syslogs to be less ambiguous. Use old:new format instead of old-new
	because '-' can appear in usernames.
	http://bugs.debian.org/213592

	* NEWS, src/login.c:
	made login's -f option also able to use the username after -- if none
	was passed as it's optarg
	http://bugs.debian.org/53702

	* po/POTFILES.in, NEWS, libmisc/setup.c, libmisc/Makefile.am:
	not used now (removed).

	* man/usermod.8, man/usermod.8.xml:
	s/inactive_time/inactive_days/ in -f parameter in SYNOPSIS (fix by Christian
	Perrier <bubulle@debian.org>).

2005-06-08  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/grpck.8, man/grpck.8.xml:
	typo: s/incorrectable/uncorrectable/ (by A Costa <agcosta@gis.net>).

	* man/gshadow.5, man/gshadow.5.xml:
	typos: s/folowing/following/; s/encryped/encrypted/; s/supercedes/supersedes/
	(by A Costa <agcosta@gis.net>).

	* man/shadow.5, man/shadow.5.xml:
	typos: s/encryped/encrypted/; s/supercedes/supersedes/
	(by A Costa <agcosta@gis.net>)

2005-06-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/login.c, NEWS:
	check for hushed login and pass PAM_SILENT if true.
	http://bugs.debian.org/48002

	* src/login.c, NEWS:
	fixed loggin of username on succesful login (was using the normal username,
	when it should have used pam_user) http://bugs.debian.org/47819

2005-06-02  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, po/zh_TW.po: updated (by Tetralet <tetralet@pchome.com.tw>).

	* NEWS, po/ca.po: updated (by Guillem Jover <guillem@debian.org>).

	* man/de/passwd.1:
	added small comment with marker usefull for translators.

2005-05-25  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/mkpasswd.c, src/chpasswd.c, src/faillog.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/newgrp.c, src/newusers.c, src/passwd.c, src/su.c, src/useradd.c, src/userdel.c, src/usermod.c, lib/encrypt.c, lib/getdef.c, lib/gshadow.c, lib/pwauth.h, lib/shadow.c, libmisc/failure.c, libmisc/isexpired.c, libmisc/salt.c:
	indent all.

	* src/chage.c, src/chpasswd.c, src/expiry.c, src/login.c, src/newgrp.c, src/newusers.c, src/passwd.c, src/pwck.c, src/pwconv.c, src/pwunconv.c, src/su.c, src/useradd.c, src/userdel.c, src/usermod.c, src/vipw.c, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, lib/defines.h, lib/lockpw.c, lib/prototypes.h, lib/sgetspent.c, lib/shadow.c, lib/shadowio.c, lib/sppack.c, libmisc/age.c, libmisc/entry.c, libmisc/isexpired.c, libmisc/pwd2spwd.c, libmisc/pwdcheck.c, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, acconfig.h, NEWS, configure.in:
	remove using SHADOWPWD #define so now shadow is allways builded with shadow
	password support.

2005-05-24  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/chage.c, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po, NEWS, man/chage.1, man/chage.1.xml:
	rewrite for use getopt_long().

2005-05-23  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, configure.in: start working on 4.0.10.

	* man/Makefile.am: remove shadow-man-pages.pot target from all.

2005-05-19  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* lib/encrypt.c, NEWS:
	fixed passwd segfault in non-PAM connfiguration (submited by Greg Schafer <gschafer@zip.com.au>).

	* po/sv.po: upsdate (by Christian Perrier <bubulle@debian.org>).

	* NEWS, src/newgrp.c:
	fixed NULL pointer dereference - getlogin() and ttyname() can
	return NULL which is not checked (http://bugs.debian.org/162303).

	* man/pwconv.8.xml, man/su.1, man/su.1.xml, man/pwconv.8:
	fixed typo (s,similiar,similar,).

2005-05-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, po/ro.po: updated by Sorin B. <sorin@bonbon.net>.

	* po/ru.po, NEWS: updated by yu-koz <yu-koz@yandex.ru>.

2005-05-13  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/ro.po: few updates by Sorin Batariuc <sorin@bonbon.net>.

2005-05-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/ru.po: updated (by Yuri Kozlov <yuray@id.ru>).

2005-05-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/vi.po:
	completed translations for HEAD (by Clytie Siddall <clytie@riverland.net.au>).

2005-05-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, po/LINGUAS, po/vi.po: added new vi translation.

	* NEWS, lib/getdef.c:
	leaves the table as it is, and changes from the binary search to
	a sequential one (fix by Lucas Correia Villa Real <lucasvr@gobolinux.org>).

	* man/passwd.1, man/passwd.1.xml: make bold passwd and chfn commands.

2005-04-28  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/usermod.8.xml, man/vipw.8.xml: cleanups.

2005-04-27  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/shadowconfig.8.xml, man/gpasswd.1.xml, man/groups.1.xml, man/grpck.8.xml, man/login.defs.5.xml, man/passwd.1.xml, man/pwck.8.xml, man/sulogin.8.xml, man/useradd.8.xml:
	replace <emphasis remap='B'></emphasis> by <command></command>.

	* po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, NEWS, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, src/lastlog.c:
	fixed lastlog --help message (s,--login,--user,) http://bugs.debian.org/249611

	* man/mkpasswd.8.xml, man/faillog.5.xml, man/faillog.8.xml, man/gpasswd.1.xml, man/groupadd.8.xml, man/groupdel.8.xml, man/groupmems.8.xml, man/groupmod.8.xml, man/groups.1.xml, man/grpck.8.xml, man/gshadow.5.xml, man/id.1.xml, man/lastlog.8.xml, man/limits.5.xml, man/passwd.1.xml, man/passwd.5.xml, man/porttime.5.xml, man/pwck.8.xml, man/shadow.3.xml, man/shadow.5.xml, man/su.1.xml, man/suauth.5.xml, man/sulogin.8.xml, man/useradd.8.xml, man/userdel.8.xml, man/usermod.8.xml:
	use <varlistentry></varlistentry> in FILES section. Cleanups.

	* man/expiry.1.xml, man/chsh.1.xml, man/chpasswd.8.xml, man/chfn.1.xml, man/porttime.5.xml, man/pw_auth.3.xml:
	cleanups.

	* man/vipw.8, man/vipw.8.xml:
	small fix: s,vi,vi(1), (reported by Helge Kreutzmann <kreutzm@itp.uni-hannover.de> in
	http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=260636).
	s,VISUAL,$VISUAL; s,EDITOR,$EDITOR,

2005-04-26  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/login.1.xml: fixed bold (use <command></command>). Cleanups.

	* man/login.1: fixed typo in bold.

	* man/chage.1.xml: fixed italic. Cleanups.

	* man/chage.1: fixed typo in italic.

	* man/login.defs.5.xml:
	fixed italic (use <filename></filename> istead italic). Cleanups.

	* man/login.defs.5: fixed typo in italic.

	* man/vipw.8.xml: fixed italic (use <filename></filename>).

	* man/vipw.8: typo in italic.

	* man/Makefile.am:
	added target for generate shadow-man-pages.pot. List all now useable xml files
	in man_XMANS variable.

	* man/pwconv.8.xml:
	fixed bold. Use in more places <command></command> istead bold.

	* man/login.defs.5: typo in bold.

	* man/su.1.xml:
	removed comment. Use <variablelist></variablelist> in Files secstion.
	Fixed bold.

	* man/pwconv.8, man/su.1: typo in bold.

2005-04-25  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, configure.in: start work on 4.0.9.

	* po/nl.po: kill fuzzy.

	* man/chage.1:
	reverte last commit (by mistake commited experimental version generated from XML file).

	* NEWS, po/nl.po:
	updated for 4.0.8 (by "cobaco (aka Bart Cornelis)" <cobaco@linux.be>).

	* po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po:
	two typos (s,specyfied,specified,; s,maiximum,maximum,).

	* NEWS, po/sk.po:
	updated for 4.0.8 (by Peter Mann <Peter.Mann@tuke.sk>).

	* src/lastlog.c: typo (s,specyfied,specified,)

	* src/faillog.c: typo (s,maiximum,maximum,).

2005-04-22  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/chage.1.xml, man/chfn.1.xml, man/chsh.1.xml, man/expiry.1.xml, man/gpasswd.1.xml, man/groups.1.xml, man/id.1.xml, man/login.1.xml, man/passwd.1.xml, man/su.1.xml:
	added <refmiscinfo class="sectdesc">User Commands</refmiscinfo> in <refmeta></refmeta>.

	* man/mkpasswd.8.xml, man/shadowconfig.8.xml, man/chfn.1.xml, man/chpasswd.8.xml, man/chsh.1.xml, man/expiry.1.xml, man/faillog.5.xml, man/faillog.8.xml, man/gpasswd.1.xml, man/groupadd.8.xml, man/groupdel.8.xml, man/groupmems.8.xml, man/groupmod.8.xml, man/groups.1.xml, man/grpck.8.xml, man/gshadow.5.xml, man/id.1.xml, man/lastlog.8.xml, man/limits.5.xml, man/login.1.xml, man/login.access.5.xml, man/login.defs.5.xml, man/logoutd.8.xml, man/newusers.8.xml, man/passwd.1.xml, man/passwd.5.xml, man/porttime.5.xml, man/pw_auth.3.xml, man/pwck.8.xml, man/pwconv.8.xml, man/shadow.3.xml, man/shadow.5.xml, man/su.1.xml, man/suauth.5.xml, man/sulogin.8.xml, man/useradd.8.xml, man/userdel.8.xml, man/vigr.8.xml:
	Use encoding="UTF-8" and DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN".

	* man/userdel.8.xml, man/usermod.8.xml, man/vigr.8.xml, man/vipw.8.xml, man/mkpasswd.8.xml, man/shadowconfig.8.xml, man/chage.1.xml, man/chfn.1.xml, man/chpasswd.8.xml, man/chsh.1.xml, man/expiry.1.xml, man/faillog.5.xml, man/faillog.8.xml, man/gpasswd.1.xml, man/groupadd.8.xml, man/groupdel.8.xml, man/groupmems.8.xml, man/groupmod.8.xml, man/groups.1.xml, man/grpck.8.xml, man/gshadow.5.xml, man/id.1.xml, man/lastlog.8.xml, man/limits.5.xml, man/login.1.xml, man/login.access.5.xml, man/login.defs.5.xml, man/logoutd.8.xml, man/newusers.8.xml, man/passwd.1.xml, man/passwd.5.xml, man/porttime.5.xml, man/pw_auth.3.xml, man/pwck.8.xml, man/pwconv.8.xml, man/shadow.3.xml, man/shadow.5.xml, man/su.1.xml, man/suauth.5.xml, man/sulogin.8.xml, man/useradd.8.xml:
	better formation using "xmlindent -l 80 -d 2".

2005-04-21  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/it/shadowconfig.8, man/it/chsh.1, man/it/expiry.1, man/it/faillog.5, man/it/faillog.8, man/it/getspnam.3, man/it/groups.1, man/it/grpck.8, man/it/grpconv.8, man/it/grpunconv.8, man/it/id.1, man/it/lastlog.8, man/it/login.1, man/it/logoutd.8, man/it/newgrp.1, man/it/porttime.5, man/it/pwck.8, man/it/shadow.3, man/it/shadow.5, man/it/su.1, man/it/vipw.8, NEWS, man/it/Makefile.am, man/it/chage.1, man/it/chfn.1, man/it/chpasswd.8:
	updated it man pages: chfn.1, chsh.1, groups.1, grpck.8, grpconv.8, grpunconv.8,
	id.1, lastlog.8, login.1, newgrp.1, pwunconv.8, shadow.5, vigr.8, vipw.8.
	new it man pages: chage.1, chpasswd.8, expiry.1, faillog.5, faillog.8,
	getspnam.3, logoutd.8, porttime.5, pwck.8, shadow.3, shadowconfig.8, su.1.
	(by Danilo Piazzalunga <danilopiazza@libero.it>)

	* po/uk.po:
	cleanups in plural forms (by Roman Festchook <roma@polesye.net>).

	* man/mkpasswd.8.xml, man/shadowconfig.8.xml, man/chage.1, man/chfn.1.xml, man/chpasswd.8.xml, man/chsh.1.xml, man/expiry.1.xml, man/faillog.5.xml, man/faillog.8.xml, man/gpasswd.1.xml, man/groupadd.8.xml, man/groupdel.8.xml, man/groupmems.8.xml, man/groupmod.8.xml, man/groups.1.xml, man/grpck.8.xml, man/gshadow.5.xml, man/id.1.xml, man/lastlog.8.xml, man/limits.5.xml, man/login.1.xml, man/login.access.5.xml, man/login.defs.5.xml, man/logoutd.8.xml, man/newusers.8.xml, man/passwd.1.xml, man/passwd.5.xml, man/porttime.5.xml, man/pw_auth.3.xml, man/pwck.8.xml, man/pwconv.8.xml, man/shadow.3.xml, man/shadow.5.xml, man/su.1.xml, man/suauth.5.xml, man/sulogin.8.xml, man/useradd.8.xml, man/userdel.8.xml, man/usermod.8.xml, man/vipw.8.xml:
	reformated using xemacs.

2005-04-20  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/fr.po, NEWS:
	updated for 4.0.8 (by Christian Perrier <bubulle@kheops.frmug.org>).

	* NEWS, po/eu.po: updated for 4.0.8 (by ^pi^ <piarres@gmail.com>).

	* NEWS, po/uk.po:
	updated for 4.0.8 (by Roman Festchook <roma@polesye.net>).

	* po/cs.po:
	updated for 4.0.8 (by Miroslav Kure <kurem@upcase.inf.upol.cz>).

	* po/da.po, NEWS:
	updated for 4.0.8 (by Claus Hindsgaul <claus_h@image.dk>).

	* po/ko.po, NEWS:
	updated for 4.0.8 (by Changwoo Ryu <cwryu@debian.org>).

	* po/fi.po: kill one fuzzy (by Tommi Vainikainen <thv+debian@iki.fi>).

2005-04-19  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/chpasswd.8.xml: Rewrited by hand & xemacs.

	* man/chfn.1.xml: cleanups in <refentry> tag.

	* man/chfn.1.xml: Rewrited by hand & xemacs.

	* NEWS, po/pt.po:
	updated for 4.0.8 (by Miguel Figueiredo <elmig@debianpt.org>).

	* po/es.po, NEWS: updated (by Ruben Porras <nahoo@inicia.es>).

2005-04-18  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/useradd.8:
	fixed typos in useadd syntax (in SYNOPSIS section) catched using doclifter.

	* man/mkpasswd.8.xml, man/shadowconfig.8.xml, man/chfn.1.xml, man/chpasswd.8.xml, man/chsh.1.xml, man/expiry.1.xml, man/faillog.5.xml, man/faillog.8.xml, man/getspnam.3.xml, man/gpasswd.1.xml, man/groupadd.8.xml, man/groupdel.8.xml, man/groupmems.8.xml, man/groupmod.8.xml, man/groups.1.xml, man/grpck.8.xml, man/grpconv.8.xml, man/grpunconv.8.xml, man/gshadow.5.xml, man/id.1.xml, man/lastlog.8.xml, man/limits.5.xml, man/login.1.xml, man/login.access.5.xml, man/login.defs.5.xml, man/logoutd.8.xml, man/newusers.8.xml, man/passwd.1.xml, man/passwd.5.xml, man/porttime.5.xml, man/pw_auth.3.xml, man/pwck.8.xml, man/pwconv.8.xml, man/pwunconv.8.xml, man/sg.1.xml, man/shadow.3.xml, man/shadow.5.xml, man/su.1.xml, man/suauth.5.xml, man/sulogin.8.xml, man/useradd.8.xml, man/userdel.8.xml, man/usermod.8.xml, man/vigr.8.xml, man/vipw.8.xml:
	raw version converted using doclifter.

	* configure.in: remove handle --with-lib{opie,skey}.

	* man/de/chsh.1:
	synced with english version (by Simon Brandmair <sbrandmair@gmx.net>).

	* man/usermod.8: improved -o description.

	* man/de/passwd.1:
	added translation EXIT VALUES section (by Simon Brandmair <sbrandmair@gmx.net>).

	* NEWS, po/it.po:
	updated it translation (by Danilo Piazzalunga <danilopiazza@libero.it>).

2005-04-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	cleanups.

	* po/pl.po: updated.

	* src/usermod.c:
	use the same error message ("%s: PAM authentication failed\n") on fail
	authentication as in other tools.

	* po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po:
	run "make update-po".

	* src/login.c, src/login_nopam.c:
	fixed build with disabled PAM support: move bad_time_notify() and check_nologin()
	back to src/login.c but use this functions #ifndef USE_PAM.

	* NEWS, lib/Makefile.am, lib/pwauth.c:
	remove not working OPIE and SKEY support.

	* configure.in: typo (s,SELinuux,SELinux,).

	* NEWS: typos.

	* NEWS: chage, useradd, usermod: reduce multiple OPENLOG() calls.

	* src/useradd.c, src/usermod.c: fix multiple OPENLOG() calls.

	* src/chage.c: cleanups.

	* src/chage.c: fix multiple OPENLOG() calls.

	* src/chage.c:
	use E_SUCCESS/E_NOPERM #defines instead 0/1 in exit() arguments.

2005-04-15  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/passwd.c:
	adjust also syslog message on usage -S option without permission.
	Consolidate SELinix and non-SELinux code.

	* po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, NEWS, src/passwd.c:
	fix #61313 Debian bug: "passwd -S root" (as a normal user) should not
	display "You may not change the password for root.

	* NEWS, man/passwd.1:
	fix #160477 Debian bug: improve -S output description.

	* man/de/passwd.1:
	new translation by Simon Brandmair <sbrandmair@gmx.net> with merged all
	changes between revision 1.2 a 1.5.

2005-04-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/passwd.1, man/pl/passwd.1: bold passwd and chage commands.

	* NEWS, src/vipw.c:
	fixed race condition in vipw (Debian #242407 bug; fix by Alexander Gattin
	<arg@online.com.ua>).

	* man/pl/chage.1, man/pl/chage.1.xml: synced with english version.

	* man/chage.1, man/chage.1.xml:
	add info about what mean -1 passed n expiredate parameter (based on #304542
	Debian bug; submited by Federico Grau <grauf@rfa.org>).

2005-04-13  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/fi.po, NEWS:
	updated translation (by Tommi Vainikainen <tvainikan@cc.hut.fi>).

	* man/hu/passwd.1, man/it/passwd.1, man/ja/passwd.1, man/pl/passwd.1, man/de/passwd.1, man/es/passwd.1, man/passwd.1:
	cleanups and unifications in SEE ALSO section.

2005-04-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in:
	Info documentation says about AC_GNU_SOURCE: "should be called before any
	macros that run the C compiler". So move this macro on top configure.in for
	avoid autoconf warnings.

	* configure.in:
	AC_SYS_LARGEFILE() performs checking is fseeko() is avalaible so "fseeko" can
	be removed from AC_CHECK_FUNCS() parameters.

	* NEWS, configure.in: Remove using AC_PROG_GCC_TRADITIONAL macro.
	Add using AC_GNU_SOURCE macro for kill compilation warnings about implicit
	declaration of function `fseeko'.

	* po/cs.po: killed fuzzy (by Miroslav Kure <kurem@debian.cz>).

	* man/ja/newgrp.1, man/pl/newgrp.1, NEWS, man/hu/newgrp.1, man/newgrp.1:
	newgrp uses /bin/sh (not bash).

	* man/mkpasswd.8, man/gpasswd.1, man/groupdel.8, man/groupmems.8, man/groupmod.8, man/groups.1, man/id.1, man/newgrp.1, man/pwck.8, man/useradd.8, man/userdel.8, man/usermod.8:
	describe /etc/group in FILES section as "group account information".

	* man/grpck.8:
	describe /etc/passwd in FILES section as "user account information".

	* po/stats: small script for generate translations statistics.

	* NEWS, po/cs.po: Updated by Miroslav Kure <kurem@debian.cz>.

	* man/chage.1.xml, man/mkpasswd.8, man/chage.1, man/expiry.1, man/login.1, man/newgrp.1, man/passwd.1, man/pwck.8, man/shadow.3, man/shadow.5, man/su.1, man/sulogin.8:
	describe /etc/shadow in FILES section as "secure user account information".

	* man/newgrp.1: Reformated paragraph. s,Bourne shell,\fBbash\fR shell,

	* NEWS, man/newgrp.1:
	fix #251926, #166173, #113191 Debian bugs: explain why editing /etc/group
	(without gshadow) doesn't permit to use newgrp.

	* po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po:
	added/fixed Plural-Forms: header entries. Run "make update-po".

	* po/pl.po:
	added Plural-Forms: header entry and updated for last change in
	libmisc/failure.c.

	* libmisc/failure.c:
	break message text with failure login since last login.

	* libmisc/failure.c:
	Use ngettext instead of string concatenation and static number of cases.
	Patch by Tommi Vainikainen <tvainika@cc.hut.fi>.

2005-04-11  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/cs.po:
	new translation maintainer: Miroslav Kure <kurem@debian.cz>.

2005-04-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po: updated for 4.0.8.

2005-04-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, NEWS, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, src/faillog.c:
	changed faillog records display format for allow fit in 80 columns all
	faillog atributies.

	* po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po:
	run "make update-po". Updated pl.po.

	* src/faillog.c (usage): typo (s,IDAYS,DAYS,).

	* man/faillog.8, NEWS:
	updated after rewrite faillog command for use getopt_long().

	* src/faillog.c:
	Add handle -h,--help option. Show in usage output information about
	-t,--time option. Remove handle -p option.

	* po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po:
	run "make update-po".

	* po/POTFILES.in: updated.

	* man/gpasswd.1: typo (s,fB,\fB,).

2005-04-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, man/ja/login.1:
	updated ja man page for Debian #95213 bug (by Kenshi Muto <kmuto@debian.org>).

	* src/chage.c, src/chfn.c, src/chsh.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/grpck.c, src/passwd.c, src/pwck.c, src/useradd.c, src/userdel.c, src/usermod.c, NEWS, lib/grdbm.c, lib/gsdbm.c, lib/pwdbm.c, lib/spdbm.c, lib/Makefile.am, lib/gshadow.c, lib/shadow.c:
	next round of cleanups: removed NDBM code (unused).

	* src/login.c: consilidate some !USE_PAM lines.

	* src/login.c, src/login_nopam.c:
	move bad_time_notify() and check_nologin() to src/login_nopam.c.

	* lib/prototypes.h: remove not used login_desrpc() prototype.

	* lib/rad64.c, lib/encrypt.c, lib/prototypes.h, lib/Makefile.am:
	remove lib/rad64 with not used c64i() and i64c() functions.

	* lib/encrypt.c:
	remove "#ifdef SW_CRYPT .. #endif" and "#ifdef DOUBLESIZE .. #endif" unused code.

	* lib/encrypt.c: remove "#ifdef MD5_CRYPT .. #endif" unused code.

	* libmisc/salt.c:
	remove prototypes for *l64a() and add #include <stdlib.h>. Remove unused
	now code (old style random salt generator).

	* src/chage.c: cleanups.

	* src/chpasswd.c:
	remove prototypes for *l64a() and add #include <stdlib.h>.

	* src/login.c: remove login_fbtab() prototype.

	* src/chage.c:
	remove prototypes for a64l() and *l64a() and add #include <stdlib.h>.

2005-04-05  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/ru/passwd.5, man/zh_CN/chfn.1, man/zh_CN/chpasswd.8, man/zh_CN/chsh.1, man/zh_CN/groupadd.8, man/zh_CN/groupdel.8, man/zh_CN/groupmod.8, man/zh_CN/useradd.8, man/zh_CN/userdel.8, man/zh_CN/usermod.8, man/zh_TW/chfn.1, man/zh_TW/chsh.1, man/zh_TW/groupadd.8, man/zh_TW/groupdel.8, man/zh_TW/groupmod.8, man/zh_TW/useradd.8, man/zh_TW/userdel.8, man/zh_TW/usermod.8, man/ko/chfn.1, man/ko/chsh.1, man/ko/groups.1, man/ko/id.1, man/ko/login.1, man/ko/passwd.5, man/ko/su.1, man/pt_BR/gpasswd.1, man/pt_BR/groupadd.8, man/pt_BR/groupdel.8, man/pt_BR/groupmod.8, man/pt_BR/shadow.5, man/ja/mkpasswd.8, man/ja/chage.1, man/ja/chfn.1, man/ja/chpasswd.8, man/ja/chsh.1, man/ja/expiry.1, man/ja/faillog.8, man/ja/gpasswd.1, man/ja/groupadd.8, man/ja/groupmod.8, man/ja/groups.1, man/ja/grpck.8, man/ja/id.1, man/ja/lastlog.8, man/ja/limits.5, man/ja/login.1, man/ja/login.access.5, man/ja/login.defs.5, man/ja/newgrp.1, man/ja/passwd.1, man/ja/porttime.5, man/ja/pw_auth.3, man/ja/pwck.8, man/ja/shadow.3, man/ja/su.1, man/ja/suauth.5, man/ja/sulogin.8, man/ja/useradd.8, man/ja/userdel.8, man/ja/usermod.8, man/ja/vipw.8, man/hu/chfn.1, man/hu/chsh.1, man/hu/gpasswd.1, man/hu/groups.1, man/hu/id.1, man/hu/login.1, man/hu/newgrp.1, man/hu/passwd.1, man/hu/su.1, man/id/chsh.1, man/id/login.1, man/id/useradd.8, man/it/chfn.1, man/it/chsh.1, man/it/gpasswd.1, man/it/groupadd.8, man/it/groupdel.8, man/it/groupmod.8, man/it/groups.1, man/it/grpck.8, man/it/id.1, man/it/lastlog.8, man/it/login.1, man/it/passwd.5, man/it/shadow.5, man/it/useradd.8, man/it/userdel.8, man/it/usermod.8, man/it/vipw.8, man/de/chfn.1, man/de/chsh.1, man/de/login.1, man/de/passwd.1, man/de/passwd.5, man/de/su.1, man/de/vipw.8, man/es/login.1, man/es/passwd.1, man/es/su.1, man/fr/chage.1, man/fr/chpasswd.8, man/fr/chsh.1, man/fr/faillog.5, man/fr/gpasswd.1, man/fr/groups.1, man/fr/id.1, man/fr/passwd.1, man/fr/passwd.5, man/fr/shadow.5, man/fr/su.1, man/fr/useradd.8, man/fr/userdel.8, man/fr/usermod.8, man/cs/groups.1, man/cs/id.1, man/cs/lastlog.8, man/cs/passwd.5, man/cs/shadow.5, man/cs/su.1, man/pl/mkpasswd.8, man/pl/shadowconfig.8, man/pl/chage.1, man/pl/chfn.1, man/pl/chpasswd.8, man/pl/chsh.1, man/pl/expiry.1, man/pl/faillog.5, man/pl/faillog.8, man/pl/gpasswd.1, man/pl/groupadd.8, man/pl/groupdel.8, man/pl/groupmems.8, man/pl/groupmod.8, man/pl/groups.1, man/pl/grpck.8, man/pl/id.1, man/pl/lastlog.8, man/pl/limits.5, man/pl/login.1, man/pl/login.access.5, man/pl/login.defs.5, man/pl/logoutd.8, man/pl/newgrp.1, man/pl/newusers.8, man/pl/passwd.1, man/pl/passwd.5, man/pl/porttime.5, man/pl/pw_auth.3, man/pl/pwck.8, man/pl/pwconv.8, man/pl/shadow.3, man/pl/shadow.5, man/pl/su.1, man/pl/suauth.5, man/pl/sulogin.8, man/pl/useradd.8, man/pl/userdel.8, man/pl/vipw.8, man/chage.1, man/chfn.1, man/expiry.1, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupmems.8, man/groupmod.8, man/grpck.8, man/lastlog.8, man/limits.5, man/login.1, man/login.defs.5, man/newgrp.1, man/passwd.1, man/porttime.5, man/pwck.8, man/shadow.3, man/su.1, man/suauth.5, man/sulogin.8, man/useradd.8, man/usermod.8, man/vipw.8:
	more replaces "-" by "\-" (s,\\-,-,g; s,-,\\-,g).

	* man/pl/usermod.8: finish sync with english version.

	* man/hu/login.1, man/pl/login.1, NEWS, man/de/login.1, man/login.1:
	removed fragment about abilities pass enviroment variables in login prompt.

	* man/gpasswd.1, man/newgrp.1:
	fixes by Nicolas Nicolas FranĂ§ois <nicolas.francois@centraliens.net> (not all
	commited).

2005-04-02  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/mkpasswd.8, man/login.1, man/login.access.5, man/login.defs.5, man/logoutd.8, man/newgrp.1, man/newusers.8, man/passwd.1, man/passwd.5, man/porttime.5, man/pw_auth.3, man/pwck.8, man/shadow.3, man/shadow.5, man/su.1, man/suauth.5, man/sulogin.8, man/useradd.8, man/userdel.8, man/usermod.8, man/vipw.8, man/chage.1, man/chfn.1, man/chpasswd.8, man/chsh.1, man/expiry.1, man/faillog.5, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupmems.8, man/groupmod.8, man/groups.1, man/grpck.8, man/gshadow.5, man/id.1, man/lastlog.8, man/limits.5:
	replace all "-" by "\-" (s,\\-,-,; s,-,\\-,).

	* man/cs/groups.1: cleanups.

	* NEWS, src/su.c:
	fixed use of SU_WHEEL_ONLY in su. Now su realy is avalaible for wheel group
	members. Thanks to Mike Frysinger <vapier@gentoo.org> for report:
	http://bugs.gentoo.org/show_bug.cgi?id=80345

	* man/pl/chage.1.xml:
	converted from roff using doclifter. Rewrited by hand. Probably will be
	removed after prepare infrastructure for translate man pages using gettext
	but temporary I need this for some experiments.

	* src/login.c: remove unused #ifded LOGIN_FBTAB .. #endif code.

	* configure.in, libmisc/login_access.c, libmisc/Makefile.am, src/Makefile.am, src/login.c, src/login_nopam.c:
	move libmisc/login_access.c to src/login_mopam.c.
	Remove using LOGIN_ACCESS #define. Now LOGIN_ACCESS is equal to !USE_PAM.
	In src/login_nopam.c will be cumulated non-PAM specyfic login code.

	* src/lastlog.c, src/login.c, src/useradd.c, src/usermod.c, libmisc/log.c:
	cleanups: remove using #include "lastlog_.h".

	* src/login.c: fixed build with PAM support disabled.

	* src/login.c: remove "#ifdef HUP_MESG_FILE .. #endif" code.

	* src/login.c: reindent using -l80.

	* man/chage.1, man/chage.1.xml: s/chage/chage command/ in DESCRIPTION.

	* man/chage.1.xml:
	converted from roff using doclifter. Rewrited by hand.

	* man/chage.1, man/chfn.1, man/faillog.8, man/groupmod.8, man/pwconv.8, man/useradd.8, man/usermod.8:
	cleanups.

	* man/pwconv.8: fixed typo: s,fI,\fI,

	* po/POTFILES.in: remove libmisc/login_{desrpc,krb}.c.

	* lib/getdef.c, libmisc/login_desrpc.c, libmisc/login_krb.c, libmisc/Makefile.am, src/login.c, NEWS, autogen.sh, configure.in:
	drop never finished kerberos and des_rpc support.

	* man/it/chfn.1: cleanups.

2005-04-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, configure.in:
	fixed UTMP path detection (by Kelledin <kelledin@users.sf.net>).

	* man/fr/chsh.1: typo.

	* man/de/Makefile.am, man/de/passwd.5:
	imported from Deutscher manpages.

	* man/cs/Makefile.am, man/cs/groups.1, man/cs/lastlog.8, man/cs/su.1:
	new files imported from Czech man-pages.

	* man/pl/faillog.8, man/pl/groupmems.8, man/pl/id.1, man/pt_BR/groupadd.8, man/pt_BR/groupmod.8, man/zh_CN/groupadd.8, man/zh_CN/groupmod.8, man/zh_CN/useradd.8, man/zh_CN/usermod.8, man/zh_TW/groupadd.8, man/zh_TW/groupmod.8, man/zh_TW/useradd.8, man/zh_TW/usermod.8, man/fr/chage.1, man/fr/chpasswd.8, man/fr/passwd.1, man/hu/chsh.1, man/it/groupadd.8, man/it/groupmod.8, man/it/usermod.8, man/ja/chage.1, man/ja/chfn.1, man/ja/chsh.1, man/ja/gpasswd.1, man/ja/groupadd.8, man/ja/groupmod.8, man/ja/login.1, man/ja/passwd.1, man/ja/useradd.8, man/ja/usermod.8, man/chage.1, man/chfn.1, man/chsh.1, man/de/chfn.1, man/de/chsh.1, man/de/login.1, man/de/passwd.1, man/gpasswd.1, man/groupadd.8, man/id.1, man/login.1, man/passwd.1, man/useradd.8:
	cleanups: aded missing \fR.

	* man/Makefile.am, man/gpasswd.1, man/gshadow.5, NEWS:
	added new file (by Nicolas Nicolas FranĂ§ois <nicolas.francois@centraliens.net>).

2005-03-31  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/chage.1, man/pl/chfn.1, man/pl/chsh.1, man/pl/gpasswd.1:
	added missing \fR.

	* man/pl/groupmod.8: typo: s,\fI,\fR,

	* man/pl/login.1, man/pl/passwd.1: cleanups: aded missing \fR.

	* man/pl/sulogin.8: cleanups.

	* man/pl/useradd.8: cleanups: aded missing \fR.

	* man/pl/usermod.8: partialy synced with english version.

	* man/usermod.8: typo.

	* NEWS, man/usermod.8:
	fixed #302388 Debian bug: added separated -o option description.

	* lib/getdef.c:
	FAILLOG_ENAB, LOGIN_STRING moved to code "#ifndef USE_PAM" dependent.

	* lib/pwauth.c, lib/pwauth.h: enable pw_auth() only #ifndef USE_PAM.

	* src/userdel.c, src/usermod.c, src/vipw.c, src/mkpasswd.c, src/chage.c, src/chfn.c, src/chpasswd.c, src/chsh.c, src/expiry.c, src/faillog.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmems.c, src/groupmod.c, src/groups.c, src/grpck.c, src/grpconv.c, src/grpunconv.c, src/logoutd.c, src/newgrp.c, src/newusers.c, src/passwd.c, src/pwck.c, src/pwconv.c, src/pwunconv.c, src/su.c, src/suauth.c, src/sulogin.c, src/useradd.c, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, libmisc/login_access.c, libmisc/login_krb.c, libmisc/addgrps.c, libmisc/age.c, libmisc/chkname.h, libmisc/chowndir.c, libmisc/chowntty.c, libmisc/copydir.c, libmisc/env.c, libmisc/failure.c, libmisc/failure.h, libmisc/getdate.h, libmisc/hushed.c, libmisc/isexpired.c, libmisc/limits.c, libmisc/loginprompt.c, libmisc/motd.c, libmisc/pam_pass.c, libmisc/pwdcheck.c, libmisc/rlogin.c, libmisc/setugid.c, libmisc/setupenv.c, libmisc/shell.c, libmisc/strtoday.c, libmisc/sulog.c, libmisc/ttytype.c, libmisc/utmp.c, libmisc/xmalloc.c, NEWS, lib/grdbm.c, lib/gsdbm.c, lib/pwdbm.c, lib/rad64.c, lib/spdbm.c, lib/commonio.c, lib/commonio.h, lib/defines.h, lib/encrypt.c, lib/faillog.h, lib/fputsx.c, lib/getdef.c, lib/getdef.h, lib/getpass.c, lib/groupio.c, lib/groupio.h, lib/grpack.c, lib/gshadow.c, lib/gshadow_.h, lib/gspack.c, lib/lockpw.c, lib/port.c, lib/port.h, lib/prototypes.h, lib/pwauth.c, lib/pwauth.h, lib/pwio.c, lib/pwio.h, lib/pwpack.c, lib/rcsid.h, lib/sgetgrent.c, lib/sgetpwent.c, lib/sgetspent.c, lib/sgroupio.c, lib/sgroupio.h, lib/shadow.c, lib/shadowio.c, lib/shadowio.h, lib/sppack.c, lib/utent.c:
	reindent all source code using -l80.

	* lib/gshadow.c, NEWS:
	rewrited group count to dynamic (by John Newbigin <jnewbigin@ict.swin.edu.au >).

	* po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tl.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po:
	run "make update-po".

	* src/login.c: use allways "\n%s login: " login prompt.

	* src/login.c: removed radius support (even not compiles).

	* doc/README.mirrors, doc/Makefile.am: removed.

	* src/userdel.c (update_user): removed next redundant closing }.

	* src/userdel.c: remove using unused NO_REMOVE_MAILBOX #define.

	* src/userdel.c (update_user): removed redundant closing }.

2005-03-30  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* lib/getdef.c:
	move PASS_MAX_DAYS, PASS_MIN_DAYS and PASS_WARN_AGE to part PAM not dependent
	(used in useradd, pwconv).

	* configure.in, src/Makefile.am:
	move define LOCALEDIR using AC_DEFINE_UNQUOTED() to src/Makefile.am::AM_CPPFLAGS.

	* man/pwconv.8: typo in bold.

	* doc/INSTALL: removed.

	* doc/README.sun4, doc/Makefile.am: removed outdated README.sun4.

2005-03-24  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po: put mine data in Last-Translator: field.

	* src/newusers.c:
	use the same as in useradd default UMASK (022 instead 077) if diffrent not
	defined in login.defs.

	* NEWS, libmisc/copydir.c:
	added SELinux changes (based on Fedora patch).

	* NEWS: typo.

	* man/login.defs.5: typo in bold.

	* src/chfn.c, src/chsh.c, lib/getdef.c:
	move CHFN_AUTH, CHSH_AUTH variables from login.defs to part !USE_PAM dependent.
	Use "auth required pam_unix.so" in /etc/pam.d/{chfn,chsh} for force enter password
	on use chfn/chsh.

	* lib/getdef.c: added CHSH_AUTH variable in def_table[] table.

	* src/chsh.c: s/CHFN_AUTH/CHSH_AUTH/

	* man/shadow.5, man/passwd.5:
	add more accurate information about what contains field with encrypted password in
	each passwd/shadow line (reported by Mike Brodbelt).

	* autogen.sh: reorder.

	* lib/getdef.c:
	CRACKLIB_DICTPATH, ENV_HZ, ENV_PATH, ENV_ROOTPATH, ENV_SUPATH, ENV_TZ,
	ENVIRON_FILE, FTMP_FILE, ISSUE_FILE, LASTLOG_ENAB, MAIL_CHECK_ENAB, MAIL_DIR,
	MAIL_FILE, MD5_CRYPT_ENAB, MOTD_FILE, NOLOGINS_FILE, OBSCURE_CHECKS_ENAB,
	PASS_ALWAYS_WARN, PASS_CHANGE_TRIES, PASS_MAX_DAYS, PASS_MAX_LEN, PASS_MIN_DAYS,
	PASS_MIN_LEN, PASS_WARN_AGE, PORTTIME_CHECKS_ENAB, SU_WHEEL_ONLY, QMAIL_DIR,
	QUOTAS_ENAB, ULIMIT variables moved to code "#ifndef USE_PAM" dependent.

	* configure.in:
	fix importand typo: added missing ",". Now LOGIN_ACCESS realy is defined only
	when PAM is not enabled.

	* libmisc/obscure.c, libmisc/limits.c:
	all functions from this file are "#ifndef USE_PAM" dependent.

	* libmisc/setugid.c (change_uid):
	removed dead code depndent on "#ifdef BSD".

	* libmisc/ttytype.c (ttytype):
	removed dead code depend on "defined(SUN) || defined(BSD) || defined(SUN4)".

	* src/login.c (setup_tty): remove dead code.

	* libmisc/rlogin.c:
	fix compilation warning: replace #include <unistd.h> by #include <netdb.h>
	where ruserok() is declared.

2005-03-23  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po: kill one fuzzy entry.

2005-03-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, libmisc/log.c:
	fixed create lastlog entry fo users never loged in on non-PAM
	variant of login (fix by <oracular@ziplip.com>).

2005-03-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, etc/login.defs, etc/login.defs.linux, lib/getdef.c, man/pl/login.defs.5:
	remove handle login.defs::NOLOGIN_STR (never used).

2005-02-25  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/shadow.5:
	added missing '\&' in line starting with '\.', which causes groff to skip
	it entirely (fix submited by Danilo Piazzalunga <danilopiazza@libero.it>).

	* TODO: cleanups.

2005-02-23  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/useradd.c, NEWS:
	useradd: fixes a potential security problem when mailbox is created in
	useradd.
	Patch and comment by Koblinger Egmont <egmont@uhulinux.hu>:
	Only two arguments are passed to the open() call though it expects three
	because O_CREAT is present. Hence the permission of the file first becomes
	some random garbage found on the stack, and an attacker can perhaps open
	this file and hold it open for reading or writing before the proper
	fchmod() is executed. (Actually, we could also pass the final "mode" to
	the open() call and then save the consequent fchmod().)

2005-02-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, po/LINGUAS, po/tl.po:
	added tl translation (fron Debian resources).

2005-02-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, src/chage.c, src/chfn.c, src/chsh.c, src/passwd.c:
	SELinux changes: added changes in chage, chfn, chsh, passwd for allow
	construct more grained user password/accuunt properties on SELinux
	policies level. Patch originally based on RH changes (submited by Chris
	PeBenito <pebenito@gentoo.org>)

2005-02-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/fr.po, NEWS:
	updated translation (by Jean-Luc Coulon <jean-luc.coulon@wanadoo.fr>) from
	Debian resources.

2005-01-26  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, configure.in: open work on 4.0.8.

2005-01-24  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po:
	"make update-po".

2005-01-21  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, po/it.po:
	updated it translations (by Danilo Piazzalunga <danilopiazza@libero.it>).

2005-01-20  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/rlogin.c: remove ruserok() prototyle and #include <unistd.h>.

	* lib/getdef.c: remove strtol() prototype (it comes with <stdlib.h>).

	* po/da.po, po/es.po, po/nl.po, po/pl.po, po/pt.po:
	"Project-Id-Version: shadow 4.0.7".

	* NEWS, po/fi.po:
	updated fi translation (by Tommi Vainikainen <thv+debian@iki.fi>).

2005-01-18  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/da.po, po/es.po, po/pl.po, po/pt.po: kill fuzzy entries.

	* po/nl.po, NEWS:
	updated nl translations (by cobaco (aka Bart Cornelis)" <cobaco@linux.be>).

	* lib/Makefile.am (libshadow_la_LIBADD): removed snprintf.h.

	* NEWS, po/LINGUAS, po/zh_TW.po:
	added zh_TW translation (from Debian resources).

	* po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po:
	"make update-po".

	* src/mkpasswd.c, src/passwd.c, src/userdel.c, src/chage.c, src/chfn.c, src/chsh.c, src/gpasswd.c, src/groups.c, src/login.c:
	"less means better" added fixes which makes english texts more consistent
	especially with capitalization issues. Based on fixes by Tommi Vainikainen
	<thv+debian@iki.fi> (make all text begining from lower case .. not upper).
	This patch cuts i18n entries in each po/*po file from 420 to 402.

2005-01-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: added pt to updated translations.

	* lib/defines.h: reverte last change (mistake).

	* po/pt.po:
	updated translation by Miguel Figueiredo <elmig@debianpt.org>.

2005-01-16  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: typo.

	* NEWS: update da, es and pl (100%) translations.

	* po/pl.po: finish translations.

	* po/da.po: updated translations by Claus Hindsgaul <claus_h@image.dk>.

	* NEWS, TODO: Typos found by Claus Hindsgaul <claus_h@image.dk>.

	* po/es.po: Updates from Ruben Porras <nahoo@inicia.es>.

	* lib/defines.h: - remove usong shadow_.h.

	* po/pl.po: kill fuzzy.

	* NEWS, lib/grent.c, lib/lastlog_.h, lib/md5.c, lib/md5.h, lib/md5crypt.c, lib/mkdir.c, lib/putgrent.c, lib/putpwent.c, lib/putspent.c, lib/pwent.c, lib/rename.c, lib/rmdir.c, lib/shadow_.h, lib/snprintf.c, lib/snprintf.h, lib/strcasecmp.c, lib/strdup.c, lib/strerror.c, lib/strstr.c, lib/Makefile.am:
	remove unused now files in lib/ directory.

	* po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/POTFILES.in, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po:
	Now correctly shadow passes "make distcheck".

	* NEWS: typo.

2005-01-02  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/faillog.c, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, NEWS:
	switch faillog ro use getopt_long().

	* etc/pam.d/su: aded line with "session required pam_env.so".

2004-12-30  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/de/Makefile.am, man/de/vigr.8, man/de/vipw.8, NEWS:
	added de vigr(8), vipw(8) man pages (from Debian resources).

2004-12-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/LINGUAS, po/ro.po, po/sq.po, NEWS:
	added ro, sq translations (from Debian resources).

2004-12-20  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in:
	added checing is fseeko() function is avalaibabe in system: added fseeko to
	AC_CHECK_FUNCS parameters.

	* lib/Makefile.am:
	fixed warning message about incorrect try linking non-PIC code with shared
	library: removed $(top_builddir)/libmisc/libmisc.a from libshadow_la_LIBADD.

	* NEWS:
	- final entry about fixed large file support in lastlog and faillog.

	* src/vipw.c, lib/pwent.c, lib/grent.c:
	use fseeko() instead fseek(). This not realuy neccessary because in this
	cases fseek() was used for move to begin of file. This only for minimize
	external functions count.

	* src/faillog.c:
	fixes for allow operate on large files by faillog: use fseeko() instead
	fseek().

	* src/lastlog.c:
	fixes for allow operate lastlog on large files: use fseeko() instead fseek()
	and do not casrt file offsets to unsigned long (based on large-file patch
	from FC).

	* src/faillog.c: fixed typo in usage().

2004-12-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/newgrp.1: fixed typo in bold macro.

2004-12-13  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/chpasswd.8: remove bold from NAZWA section.

2004-12-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/faillog.c: remove using Prog variable.

	* configure.in, NEWS:
	fixed large file support: added AC_SYS_LARGEFILE macro to autoconf.

	* man/groupmod.8, man/pl/groupmod.8: separate OPTIONS section.

	* man/pl/chpasswd.8: sync with english version.

	* man/chpasswd.8: bold "chpasswd" command name in CAVEATS section.

	* man/chpasswd.8: s/protect/protected/

	* man/pl/lastlog.8: cleanups.

	* man/chpasswd.8, man/lastlog.8, man/newusers.8:
	remove bold from NAME section.

	* man/it/groupadd.8, man/it/useradd.8: separate OPZIONI section.

	* man/pl/groupmems.8: fixes in OPCJE section.

	* man/chpasswd.8: more cleanups.

2004-12-11  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/shadowconfig.8, man/chage.1, man/chfn.1, man/grpck.8, man/id.1, man/lastlog.8, man/login.1, man/newgrp.1, man/newusers.8, man/passwd.5, man/pw_auth.3, man/pwck.8, man/pwconv.8, man/suauth.5, man/useradd.8:
	Fixed varoiuse typos and misspeling based partialy on patch from Bug#141322
	from Debian (submited by Christian Perrier <bubulle@debian.org>).

	* man/chpasswd.8: more cleanups.

	* man/pl/faillog.8, man/faillog.8, man/ja/faillog.8:
	remove from OPTIONS section information about avalaibability on some systems
	faillog database in other location thad listed in FILES section.

	* man/chpasswd.8: updated.

	* man/fr/faillog.5:
	fixed FICHIERS secttion: corrected change to italic on /var/log/faillog.

	* src/faillog.c:
	move main() to the end of file and reorder rest functions. Now declararion
	finction prototypes can be removed.

2004-12-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: updated.

	* man/pl/lastlog.8: synced with current english version.

	* man/lastlog.8: use the same style as in chpasswd(8).

	* po/uk.po, po/zh_CN.po, po/tr.po, po/sv.po, po/ru.po, po/sk.po, po/pt_BR.po, po/pt.po, po/pl.po, po/nn.po, po/nl.po, po/nb.po, po/ko.po, po/ja.po, po/he.po, po/id.po, po/it.po, po/fi.po, po/fr.po, po/es.po, po/eu.po, po/el.po, po/da.po, po/de.po, po/cs.po, po/ca.po, po/bs.po:
	"make update-po" after rewrite lastlog.

	* src/lastlog.c: Rewrite for use the same style as in chpasswd.c.
	Move open lastlog file after commadline option parsing so now --help option
	can be used by user without read access to lastlog file.

	* src/chpasswd.c:
	s/display this help and exit/display this help message and exit/ in ussage()
	output.

	* po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po:
	"make update-po".

	* src/chpasswd.c:
	Added handle -h|--help option. Improved and updated ussage() output.

2004-12-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/tr.po, po/uk.po, po/zh_CN.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/da.po, po/de.po, po/el.po, po/bs.po, po/ca.po, po/cs.po:
	"make update-po" and resolve fuzzy with last change in src/chpasswd.c.

	* src/chpasswd.c, NEWS:
	switch chpasswd to use getopt_long() and adds a --md5 option
	(by Ian Gulliver <ian@penguinhosting.net>).

	* NEWS, configure.in: start work on 4.0.7.

2004-11-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: cleanups.

	* po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/bs.po, po/ca.po, po/cs.po, po/da.po:
	removed not used translations.

	* NEWS, src/su.c:
	fix adding of pam_env env variables to enviroment (Martin Schlemmer <azarah@nosferatu.za.org>).

	* NEWS, configure.in:
	fixed filling MAIL_SPOOL_DIR and MAIL_SPOOL_FILE variables which was allways
	empty (Gregorio Guidi <g.guidi@sns.it>)

	* NEWS: updated.

	* src/useradd.c, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, NEWS, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po:
	do not translate variable names from /etc/default/useradd during "useradd -D".

2004-11-04  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/zh_CN/groupadd.8, man/zh_CN/groupmod.8, man/zh_CN/useradd.8, man/zh_CN/usermod.8, man/zh_TW/groupadd.8, man/zh_TW/groupmod.8, man/zh_TW/useradd.8, man/zh_TW/usermod.8, man/it/groupadd.8, man/it/groupmod.8, man/it/useradd.8, man/it/usermod.8, man/ja/groupadd.8, man/ja/groupmod.8, man/ja/useradd.8, man/ja/usermod.8, man/pl/groupadd.8, man/pl/groupmod.8, man/pl/useradd.8, man/pl/usermod.8, man/pt_BR/groupadd.8, man/pt_BR/groupmod.8, man/fr/useradd.8, man/fr/usermod.8, man/groupadd.8, man/groupmod.8, man/id/useradd.8, man/useradd.8:
	correction: groups/users with gid/uid 0 and 999 are reserved for system accounts.

	* man/zh_CN/groupmod.8, man/zh_CN/useradd.8, man/zh_CN/usermod.8, man/zh_TW/groupmod.8, man/zh_TW/useradd.8, man/zh_TW/usermod.8, man/id/useradd.8, man/it/groupadd.8, man/it/groupmod.8, man/it/useradd.8, man/it/usermod.8, man/ja/groupadd.8, man/ja/groupmod.8, man/ja/useradd.8, man/ja/usermod.8, man/pl/groupadd.8, man/pl/groupmod.8, man/pl/useradd.8, man/pl/usermod.8, man/pt_BR/groupmod.8, man/fr/useradd.8, man/fr/usermod.8, man/groupadd.8, man/groupmod.8, man/useradd.8:
	zgroups/users with gid/uid 0 and 499 are typically reserved for system accounts.

2004-11-02  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/mkpasswd.8, man/pl/chage.1, man/pl/chsh.1, man/pl/faillog.8, man/pl/groupadd.8, man/pl/groupmems.8, man/pl/groupmod.8, man/pl/lastlog.8, man/pl/useradd.8, man/pl/userdel.8, man/pl/usermod.8, man/chage.1, man/chsh.1, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupmems.8, man/lastlog.8, man/useradd.8, man/userdel.8, man/usermod.8:
	separated OPTIONS section.

	* lib/commonio.c: reverte last change.

	* libmisc/pwdcheck.c:
	one word fix .. ommited "else" was removed. Now security bug which allow
	unauthorized account properties modification is realy closed.

2004-10-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* lib/commonio.c:
	add matchpathcon to create the files correctly when they do not exist (based
	on patch from FC).

	* man/passwd.1: fixed two typos ("/" in incorrect place).

2004-10-27  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* etc/pam.d/useradd: - added header

	* etc/pam.d/chfn, etc/pam.d/chsh, etc/pam.d/userdel: - fixed header

2004-10-27  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* etc/pam.d/chfn, etc/pam.d/chsh, etc/pam.d/userdel:
	added missing template/example PAM service config files for chfn, chsh, userdel.

	* NEWS, configure.in: start 4.0.6.

2004-10-26  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/adduser.8, man/pl/Makefile.am, man/adduser.8, man/Makefile.am, man/fr/adduser.8, man/fr/Makefile.am, man/id/adduser.8, man/id/Makefile.am, man/it/adduser.8, man/it/Makefile.am, man/ja/adduser.8, man/ja/Makefile.am, NEWS:
	remove adduser(8) roff include man page to useradd(8).

	* lib/Makefile.am: more fixes for non-inst libmisc.

	* libmisc/Makefile.am, src/Makefile.am, NEWS:
	change libmisc to private static library.

	* etc/pam.d/Makefile.am: typo.

2004-10-24  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* po/pl.po: - more translation/formatting fixes

	* po/pl.po: - updated translation

	* po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/bs.po:
	- make update-po, updated usage() translation

	* src/useradd.c: - syntax fix for useradd in usage()

	* po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po:
	- usage() formatting and other fixes

	* po/fi.po: - proper UTF

	* po/pl.po: - pl translation fixes/updates by Jakub Bogusz

2004-10-24  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* etc/pam.d/chage, etc/pam.d/chpasswd, etc/pam.d/groupadd, etc/pam.d/groupdel, etc/pam.d/groupmod, etc/pam.d/newusers, etc/pam.d/useradd, etc/pam.d/usermod:
	use default path to PAM modules.

	* etc/pam.d/shadow, etc/pam.d/Makefile.am, etc/pam.d/chage, etc/pam.d/chpasswd, etc/pam.d/groupadd, etc/pam.d/groupdel, etc/pam.d/groupmod, etc/pam.d/login, etc/pam.d/newusers, etc/pam.d/usermod:
	Remove shadow PAM config file. Added PAM config files for: chage, chpasswd,
	groupadd, groupdel, groupmod, login, newusers.

	* po/zh_CN.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po:
	"make update-po".

	* configure.in: reverte previous incorrect commit.

	* NEWS, src/su.c:
	add pam_open_session() support. If builded without PAM support
	propagate $DISPLAY and $XAUTHORITY enviroment variables.
	Based on http://www.gentoo.org/cgi-bin/viewcvs.cgi/sys-apps/shadow/files/shadow-4.0.4.1-su-pam_open_session.patch?rev=1.1

2004-10-23  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in: cleanups.

	* lib/defines.h:
	define syslog() depending on ENABLE_NLS (not on HAVE_SETLOCALE).

2004-10-23  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* man/fr/Makefile.am: - killed non-existent manpage

2004-10-18  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/copydir.c, NEWS:
	when placing symlinks into /etc/skel copy_tree of libmisc/copydir.c will
	properly create the symlink in the destination directory but not change the
	ownership to the target user/group. This makes httpd Option
	SymlinkIfOwnerMatch break for default weg pages including symlinks placed
	into /etc/skel/public_html for example.
	http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=66819

2004-10-11  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/Makefile.am:
	seems I foud CorrectWay(tm) for add some symlinks on install target.

	* po/pl.po: more fixes.

	* po/pl.po: added missing \n.

	* src/chage.c, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, NEWS, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po:
	more verbose/human readable -l output. This output is much more beter for
	send directly via email for each users as message with account status (for
	example as message with warning about account/password expiration).

	* configure.in: start prepare for 4.0.5.

	* src/Makefile.am, libmisc/Makefile.am, lib/Makefile.am, configure.in:
	move LOCALEDIR to autoheader variables. Remove redefining DEFS in
	Makefile.am (not neccessary now).

	* src/chage.c, src/chpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/grpck.c, src/logoutd.c, src/newusers.c, src/pwck.c, src/useradd.c, src/userdel.c, src/usermod.c, NEWS:
	applied OWL shadow-4.0.4.1-owl-pam-auth.diff patch by Solar Designer
	<solar@openwall.com>:
	  Moved the PAM authentication in user management commands after
	  command-line parsing, made it use separate service names for each command.
	  Use constant strings rather than argv[0] for syslog ident in the user
	  management commands.

	* man/useradd.8:
	reword the useradd manpage a little to make it more clear. Fix from:
	http://www.gentoo.org/cgi-bin/viewcvs.cgi/sys-apps/shadow/files/shadow-4.0.4.1-useradd-manpage-update.patch?rev=1.1

	* configure.in: added libselinux detection.

	* lib/Makefile.am, lib/commonio.c, lib/commonio.h, NEWS, autogen.sh, configure.in:
	added SELinux support (basing on patch from Gentoo).

	* man/fr/Makefile.am (man_MANS): added getspnam.3.

2004-10-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/bs.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nl.po, po/nn.po, po/pl.po, src/groupadd.c, src/groupmod.c:
	English grammar fix: s/is a not a valid group name/is not a valid group name/
	(pointed by Mike Frysinger <vapier@gentoo.org>).

2004-10-08  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, src/userdel.c:
	When removing a user with userdel, userdel always exits 1 (fixed).
	Based on http://bugs.gentoo.org/show_bug.cgi?id=66687.

2004-08-21  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in:
	Use AC_SEARCH_LIBS() for inet_ntoa(), socket(), gethostbyname() probing (instead AC_CHECK_FUNC()).

2004-08-18  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/Makefile.am: shadow(3) man page moved to man_MANS.

	* libmisc/ttytype.c: Removed getenv() prototype (it is in <stdlib.h>).

	* src/mkpasswd.c:
	Removed fgetsx() prototype (it is in lib/prototypes.h).

	* man/it/vigr.8: Fixed typo (s/wipw/vipw/).

2004-08-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: Typo.

	* po/tr.po, po/uk.po, po/zh_CN.po, po/bs.po, po/cs.po, po/de.po, po/el.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/he.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/nb.po, po/nn.po, po/pl.po, po/pt.po, po/ru.po, po/sk.po, po/sv.po:
	Run "make update-po".

	* po/ca.po, po/da.po, po/nl.po, po/pt_BR.po: Converted to UTF-8.

	* po/LINGUAS: Typo.

	* po/nb.po, po/nl.po, po/nn.po, po/pt.po, po/pt_BR.po, po/tr.po, po/zh_CN.po, NEWS, po/LINGUAS, po/bs.po, po/ca.po, po/da.po, po/eu.po, po/he.po, po/id.po:
	New translations: bs, ca, da, eu, he, id, nb, nl, nn, pt, pt_BR, tr,
	zh_CN (stolen froM Debian)

	* man/mkpasswd.8, man/grpck.8, man/pl/mkpasswd.8, man/pl/grpck.8, man/pl/pwck.8, man/pwck.8:
	Corrected section number.

2004-08-04  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/zh_TW/chfn.1, man/zh_TW/chsh.1, man/zh_TW/groupadd.8, man/id/chsh.1, man/id/login.1, man/it/chfn.1, man/pl/chage.1, man/pl/groupadd.8, man/pl/groupmems.8, man/pl/lastlog.8, man/pl/login.1, man/pt_BR/groupadd.8, man/zh_CN/chfn.1, man/zh_CN/chsh.1, man/de/login.1, man/de/su.1, man/fr/chsh.1, man/fr/passwd.1, man/fr/usermod.8, man/hu/chfn.1, man/chage.1, man/groupadd.8, man/groupmems.8, man/lastlog.8, man/login.1, man/usermod.8:
	Options description in alphabetical order.

	* NEWS, src/login.c:
	Applied 036_pam_access_with_preauth.patch Debian patch submited by Bjorn
	Torkelsson <Bjorn.Torkelsson@hpc2n.umu.se>: add support for PAM account
	management to restrict access using pam_access when login is invoked with -f.

2004-06-05  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/getspnam.3: added roff link to shadow(3).

	* man/Makefile.am (man_MANS): added getspnam.3.

2004-06-03  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, lib/commonio.c, lib/getdef.c, src/vipw.c:
	Applied OWL shadow-4.0.4.1-owl-check-reads.diff patch by Solar Designer.
	Add checking for read errors in commonio and vipw/vigr (not doing so could
	result in data loss when the records are written back).

	* NEWS: Add note about apply shadow-4.0.4.1-owl-tmp.diff OWL patch.

	* src/useradd.c, configure.in:
	Remove looking for mkstemp() prototype and allways use mkstemp() (removed
	using mktemp if mkstemp() not found).
	Partialy based on tmp OWL patch by Solar Designer <solar@openwall.com>.

	* NEWS, libmisc/pwdcheck.c:
	Fixed securirty bug which allow unauthorized account properties modification.
	Affected tools: chfn and chsh.
	Bug was discovered by Martin Schulze <joey@infodrom.org>.

2004-05-28  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: typo.

	* NEWS, po/LINGUAS, po/it.po:
	added it translation (by Danilo Piazzalunga <danilopiazza@libero.it>).

2004-05-18  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: typos.

	* po/sk.po: updated (by Peter Mann <Peter.Mann@tuke.sk>).

2004-05-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/sk.po: run "make update-po".

	* NEWS, po/LINGUAS, po/sk.po:
	added sk translation (by Mann <Peter.Mann@tuke.sk>, submited by Christian
	Perrier <bubulle@kheops.frmug.org>).

2004-05-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in:
	Use autoconf cache variables for file and directory location tests (by
	Maciej W. Rozycki  <macro@ds2.pg.gda.pl>).

2004-05-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/passwd.5:
	Correct path directory delimiters (by Maciej W. Rozycki <macro@ds2.pg.gda.pl>).

	* libmisc/xmalloc.c (malloc):
	Remove the declaration (by Maciej W. Rozycki <macro@ds2.pg.gda.pl>).

2004-04-28  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/login.c, NEWS:
	Fixed handle -f option: now it works correctly without specify "-h
	<host>" if open login session localy is required (thanks for help
	investigate bug for Krzysztof Kotlenga).

	* po/es.po: Updated (by Ruben Porras <nahoo82@telefonica.net>).

2004-04-23  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/cs.po, po/de.po, po/el.po, po/fi.po, po/fr.po, po/ja.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po:
	Run "update-po".

2004-04-22  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/es.po: Updated to current (by run "update-po").

	* po/es.po: Converted to utf-8.

	* po/LINGUAS: Added es.

	* po/es.po, NEWS:
	Added es translation (by Ruben Porras <nahoo82@telefonica.net>).

2004-04-05  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/ko.po, NEWS:
	Updated ko translations (by Changwoo Ryu <cwryu@debian.org>).

2004-04-02  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/fi.po: iconv -f iso8859-9 -t utf8

2004-03-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/age.c:
	Use endsgent() conditionaly depending on SHADOWGRP (fix submited by Gabor Z.
	Papp <gzp@papp.hu>).

	* po/LINGUAS, po/fi.po, NEWS:
	Added fi translation (by Tommi Vainikainen <thv@iki.fi>).

	* README: Fixed shadow and shadow-commit lists on-line archives URLs.

2004-01-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, configure.in, man/fr/Makefile.am, man/hu/Makefile.am, man/it/Makefile.am, man/ko/Makefile.am, man/de/Makefile.am, man/es/Makefile.am:
	New version 4.0.4.1
	bug fixes in automake files for generate correct tar ball on "make dist":
	added midsiing "EXTRA_DIST = $(man_MANS)" in man/*/Makefile.am.

	* configure.in: Fixed checking is avalaible st_rdev in struct stat.

2004-01-13  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po: Typo.

	* man/pl/useradd.8: Cleanups in SYNOPSIS.

2004-01-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po: Cleanups.

2004-01-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in: Cleanups after autoupdate.

2004-01-05  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/groupadd.c, po/sv.po, po/uk.po, po/ru.po, po/ko.po, po/pl.po, po/fr.po, po/ja.po, po/el.po, po/cs.po, po/de.po, man/zh_TW/groupadd.8, man/zh_CN/groupadd.8, man/pt_BR/groupadd.8, man/pl/groupadd.8, man/ja/groupadd.8, man/it/groupadd.8, man/groupadd.8, NEWS:
	Added missing information about -f options in groupadd usage mesage (document
	this also in man page).

2003-12-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* lib/lastlog_.h, libmisc/log.c, libmisc/utmp.c, src/lastlog.c, src/login.c:
	More time() or gettimeofday() prevention overwrite memory on 64bit arch
	(partialy based on patch from MDK).

	* po/sv.po, po/uk.po, po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po:
	Post remove TCFS support "make update-po".

	* man/Makefile.am: Removed getspnam.3 from EXTRA_DIST.

	* po/POTFILES.in: Removed lib/tcfsio.c.

	* lib/tcfsio.c, lib/tcfsio.h, lib/Makefile.am, src/passwd.c, src/userdel.c, NEWS, configure.in, doc/README.pam:
	Removed TCFS support (tcfs is dead).

	* configure.in:
	Added using AM_MAINTAINER_MODE. AC_INIT without parameters.

	* acconfig.h, configure.in:
	Cleanups on autoheadres level: use AC_DEFINE(VAR, VAL, [Comment]) for
	USE_PAM, HAVE_TCFS and TCFS_GDBM_SUPPORT.

	* src/newusers.c, src/useradd.c, acconfig.h, autogen.sh, lib/pwpack.c, NEWS:
	Remove all old BSD_QUOTA dependent code.

2003-12-16  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* lib/Makefile.am, libmisc/Makefile.am, src/Makefile.am:
	Removed -I$(top_srcdir) from INCLUDES (isn't neccessary becaus this is in
	DEFAULT_INCLUDES) - slightly shorter compile output.

	* Makefile.am, configure.in:
	Added using AM_GNU_GETTEXT([external]) - removed intl SUBDIRS.
	Added locale.h to AC_CHECK_HEADERS() - lib/defines.h have part which depends
	on HAVE_LOCALE_H.

	* lib/nscd.h: Added missing newline at end of file.

	* acconfig.h: Remove unused (#un)defines.

	* autogen.sh: Typo.

	* autogen.sh: Much more simpler script - use autoreconf.

	* po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po:
	"make update-po".

2003-12-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/LINGUAS: Languages list for gettext 1.12.x.

2003-10-26  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po: Kill fuzzy entries.

2003-10-21  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/usermod.8:
	Typo: missing "." on end of sentence (submited by Stepan Kasal <kasal@ucw.cz>).

2003-09-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po, po/cs.po, po/de.po, po/el.po, NEWS:
	convert all po/*.po files to utf-8.

2003-09-05  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* po/ru.po: - fixed header

2003-07-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po, po/ru.po, po/sv.po, po/uk.po, libmisc/pam_pass.c, po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po:
	Otput "passwd: password updated successfully\n" message on successfull
	password change (based on Debian changes).

	* src/newgrp.c: Remove work around for unsecure gettext.

2003-06-30  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/useradd.c, src/usermod.c:
	Added initializing memory in variables when get_groups() function is not called,
	and memory allocated for user_groups is not initialized (in both useradd and
	usermod when -G options is used and in usermod when -l option is used).
	That causing segfaults sometimes.
	This fix is importand but not critical because usermod and usermod aren't suid
	root.
	Problem reported and fixed by Alexey Voinov <voins@altlinux.ru>.

2003-06-19  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/login.1: Fixed FILES section.

	* src/chfn.c, src/chpasswd.c, src/chsh.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/grpconv.c, src/grpunconv.c, src/id.c, src/login.c, src/logoutd.c, src/newgrp.c, src/newusers.c, src/passwd.c, src/pwconv.c, src/pwunconv.c, src/su.c, src/suauth.c, src/useradd.c, src/userdel.c, src/usermod.c, src/vipw.c:
	Indented.

	* src/chage.c: Move *flg variables to global.

	* acconfig.h: Comment for USG.

2003-05-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/de/chfn.1, man/de/login.1:
	Fixed section name (s/NAME/BEZEICHNUNG/).

	* man/de/chfn.1, man/de/chsh.1: Sync FILES section with en version.

	* man/login.1: Typo (s/avr/var/).

	* man/de/login.1: Sync FILES section with en man version.

	* man/de/chfn.1, man/de/chsh.1, man/de/login.1: Remove ^M from EOL.

	* man/de/login.1, man/de/Makefile.am, man/de/chfn.1, man/de/chsh.1, NEWS:
	Next round updates from Josef Spillner <josef@ggzgamingzone.org>: update
	chsh(1), login(1) and added new chfn(1) german man pages.

	* NEWS: Added info about remove d_passwd(5), dialups(5) man pags.

2003-05-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, TODO, src/chfn.c, src/chpasswd.c, src/chsh.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/passwd.c, src/pwunconv.c, src/useradd.c, src/userdel.c, src/usermod.c, src/vipw.c:
	One TODO entry gone: fix nscd flushing databases on change (use
	per service flushing method instead HUPing nscd process).

	* lib/Makefile.am, lib/commonio.c, lib/nscd.c, lib/nscd.h, libmisc/nscd.c, libmisc/nscd.h, libmisc/Makefile.am:
	Move nscd.{c,h} from libmisc/ to lib/.
	Fix warning about implicit declaration of function `nscd_flush_cache' in lib/commonio.c.

	* lib/pwauth.h: Fix pw_auth() prototype.

	* libmisc/nscd.c, libmisc/nscd.h, libmisc/Makefile.am:
	Added header file for nscd communication functions.

	* libmisc/chkname.c (good_name):
	fixed warning about comparison between pointer and integer.

	* po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po:
	"make update-po".

	* src/useradd.c (main):
	chain create_mail() and small fix in usage message.

	* src/userdel.c: Removed AUTH_METHODS code.

	* lib/pwauth.c: Fixed pw_auth() prototype.

	* src/sulogin.c, src/usermod.c: Removed AUTH_METHODS code.

	* po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po:
	"make update-po".

	* src/useradd.c: Indent.

	* man/ja/pwauth.8, man/ja/Makefile.am, man/pl/pwauth.8, man/pl/Makefile.am, src/passwd.c, src/useradd.c, NEWS, lib/pwauth.c, man/pwauth.8, man/Makefile.am:
	Cleanups continuations: removed old AUTH_METHODS dependent code,
	removed also pwauth(8) man page.

	* man/pl/Makefile.am (man_MANS): remove d_passwd.5 man page.

	* src/useradd.c, src/usermod.c, po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po:
	Cleanups in usage messages.

	* src/newgrp.c: Cleanups in comments.

	* po/uk.po, po/sv.po, po/ru.po, po/pl.po, po/ko.po, po/ja.po, po/fr.po, po/el.po, po/de.po, po/cs.po:
	"make update-po".

	* lib/getdef.c (main): remove gettextize error messages from test code.

	* NEWS: Cleanups.

2003-05-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/useradd.c, man/pl/useradd.8, po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po, NEWS, TODO, etc/useradd, man/useradd.8:
	Added handle by useradd /etc/defaults/useradd::CREATE_MAIL_SPOOL={yes|no}.
	Now on adding user account can be added also created empty user mail
	spool. Curent code handle only mailbox.
	TODO: add handle create user mail spool in maildir format.

	* TODO: Typo.

	* src/chage.c (usage): fix missing ")".
	(main): updated commented description.

	* src/useradd.c: Indent.

	* man/faillog.8, man/gpasswd.1, man/groupadd.8: Minor cleanups.

	* man/chage.1, man/pl/chage.1:
	Rewrite for use claissic list form options descriptions.

	* man/pl/groupadd.8:
	s/Polecenie groupadd posiada opcje:/Polecenie groupadd posiada następujące opcje:/

	* TODO: ALL:
	move base passwd/shadow/group/gshadow operation to module for allow write
	diffrent backend modules for db, NIS, LDAP and others. Default backend it
	will be choose depending on /etc/nsswitch.conf and allow overrride this by
	-r <repository> options (where the <repository> can be file, db, nis
	nisplus, ldap .. like on /etc/nsswitch.conf in service column).
	passwd have old piece of code with handling -r option and it will be good
	finish this and propagate on other shadow tools for allow operate on other
	user databases by well known tools.

	useradd:
	add handle /etc/defaults/useradd::CREATE_MAIL_SPOOL={yes,no} for allow
	create empty mail spool for added user.

	* man/pl/d_passwd.5, man/pl/dialups.5: Removed.

	* man/groupmems.8: Close few \fB by add \fR.

	* man/groupadd.8, man/groupmems.8: Minor cleanups.

2003-05-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/grpconv.c, src/grpunconv.c, src/pwconv.c, src/pwunconv.c:
	Move non-SHADOWPWD stub code to end of file (like in chage.c) and do not use
	gettextized message.

	* po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po:
	"make update-po".

	* src/chage.c, NEWS:
	Now all code depend on SHADOWPWD. If shadow will not be configured on
	autoconf level for using shadow possword chage is olny stub which informs
	"chage not configured for shadow password support."

	* man/it/Makefile.am: Removed EXTRA_DIST (not neccessary).

	* man/es/Makefile.am: Removed groups.1 (doen't exist es groups(1)).

	* man/de/Makefile.am (man_MANS): added login.1.

	* man/de/Makefile.am: Removed EXTRA_DIST (isn't neccessary now).

	* man/hu/Makefile.am, man/ja/Makefile.am, man/ko/Makefile.am, man/pl/Makefile.am, man/de/Makefile.am, man/fr/Makefile.am, NEWS, man/Makefile.am:
	Install groups(1) man page (moved from EXTRA_DIST to man_MANS).

	* po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po:
	Updated after removing dialup tools.

	* po/POTFILES.in: Removed lib/{dialchk,dialup}.c and src/dpasswd.c.

2003-05-05  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/shell.c (shell): do not gettexitize DEBUG message.

	* src/chsh.c, src/grpconv.c, src/login.c, src/logoutd.c, src/sulogin.c, src/vipw.c, libmisc/login_access.c, libmisc/getdate.y, libmisc/limits.c, libmisc/obscure.c, libmisc/setupenv.c, lib/getpass.c, lib/pwauth.c:
	Removed "#if 0 .. #endif" dead code.

	* libmisc/utmp.c: Fixed unterminated #if.

	* libmisc/login_access.c (resolve_hostname):
	cleanup: removed #if 1 .. #endif.

	* libmisc/getdate.c:
	Removed - this file is generated by bison/yacc.

	* configure.in:
	Change file name passwd in AC_INIT argument from lib/dialchk.c to src/passwd.c.

	* src/su.c:
	Removed dead code (#if 0 .. #endif) with call motd() and mailcheck()
	(was commnted because GNU su doesn't do this).

2003-05-04  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/dpasswd.c, src/login.c, src/Makefile.am, man/pl/dpasswd.8, man/pl/Makefile.am, man/ja/dpasswd.8, man/ja/Makefile.am, man/dpasswd.8, man/Makefile.am, lib/dialchk.c, lib/dialchk.h, lib/dialup.c, lib/dialup.h, lib/Makefile.am, lib/getdef.c, etc/login.defs, etc/login.defs.linux, NEWS:
	Removed old dpasswd and DIALUPS_CHECK_ENAB login.defs handling code from login.

	* doc/ANNOUNCE, doc/Makefile.am, NEWS: Removed old doc/ANNOUNCE.

	* src/login.c, lib/getdef.c, etc/login.defs.linux, NEWS:
	Remove NO_PASSWORD_CONSOLE code.

2003-05-03  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/pwd2spwd.c, libmisc/utmp.c, libmisc/entry.c, libmisc/isexpired.c, lib/sgetspent.c, lib/shadow.c, lib/putpwent.c, lib/pwent.c, lib/defines.h, lib/pwio.c, lib/pwpack.c, lib/sgetpwent.c, acconfig.h, configure.in:
	Remove old SVR4, ATT_AGE, ATT_COMMENT dependent code.

	* src/chage.c:
	Remove some ageing code which was not used if SHADOWPWD isn't defined.
	Now handling mindays, maxdays and lastday also depends on SHADOWPWD.

2003-05-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/dpasswd.8, man/mkpasswd.8, man/pwauth.8, man/shadowconfig.8, man/chage.1, man/chfn.1, man/chpasswd.8, man/chsh.1, man/expiry.1, man/faillog.5, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupdel.8, man/groupmems.8, man/groupmod.8, man/groups.1, man/grpck.8, man/id.1, man/lastlog.8, man/limits.5, man/login.1, man/login.access.5, man/login.defs.5, man/logoutd.8, man/newgrp.1, man/newusers.8, man/passwd.1, man/passwd.5, man/porttime.5, man/pwck.8, man/pwconv.8, man/shadow.3, man/shadow.5, man/su.1, man/sulogin.8, man/useradd.8, man/userdel.8, man/usermod.8, man/vipw.8:
	Reformated.

	* etc/login.defs:
	Use FHS 2.x compliant paths to lastlog, sulog, mail spool and also change
	ENV_SUPATH to PATH=/sbin:/bin:/usr/sbin:/usr/bin and
	ENV_PATH to PATH=/bin:/usr/bin

	* old/Makefile.am, old/Makefile.linux, old/Makefile.sun4, old/Makefile.svr4, old/Makefile.xenix, old/config.h.linux, old/config.h.sun4, old/config.h.svr4, old/config.h.xenix, old/orig-config.h, old/pwconv-old.8, old/pwconv-old.c, old/pwconv.8, old/pwd.h.m4, old/pwunconv-old.8, old/pwunconv-old.c, old/pwunconv.8, old/scologin.c, old/vipw.8:
	Removed old stuff.

2003-04-30  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po, po/ru.po, po/sv.po, po/uk.po, po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po:
	make update-po

	* src/su.c: Remove not mached #endif after removing ATT_AGE code.

	* man/ko/passwd.5: Remove ^M from end of line.

	* src/chage.c, src/chpasswd.c, src/login.c, src/newusers.c, src/passwd.c, src/pwunconv.c, src/su.c, src/useradd.c, acconfig.h, NEWS, configure.in:
	Removed old ATT_AGE (account ageing in passwd file) dependent code.

	* po/pl.po: Fix chage and lastlog messages.

2003-04-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/limits.c, src/logoutd.c:
	More utmp/utmpx fixes: use endutend() or endutxend() depending on HAVE_UTMPX_H.

	* po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po:
	Run "make update-po" after remove SVR4 code and fix duplicated entries in sv.po.

	* NEWS, src/login.c, src/logoutd.c, src/useradd.c:
	Remove old SVR4 and SVR4_SI86_EUA dependent code from login, useradd and
	logoutd.

2003-04-28  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/usermod.8: Remove "OD TŁUMACZA" section.

	* man/pl/groupadd.8, man/pl/groupdel.8, man/pl/groupmod.8, man/pl/grpck.8, man/pl/passwd.1, man/pl/pwck.8, man/pl/useradd.8, man/pl/userdel.8, man/groupadd.8, man/groupdel.8, man/groupmod.8, man/grpck.8, man/passwd.1, man/pwck.8, man/useradd.8, man/userdel.8:
	Added EXIT VALUES section with full description exit codes.

	* src/groupadd.c: Typo (s/nut/not/).

	* man/shadowconfig.8: Merge changes from Debian.

	* NEWS, man/passwd.5:
	Remove text about password aging from passwd(5) (based on Debian changes).

	* po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po, src/lastlog.c, man/it/lastlog.8, man/ja/lastlog.8, man/lastlog.8, man/pl/lastlog.8:
	More unification in lastlog command syntax.

	* man/it/lastlog.8, man/ja/lastlog.8, man/lastlog.8, man/pl/lastlog.8:
	Unifications in SYNOPSIS.

	* man/it/gpasswd.1, man/it/groupadd.8, man/it/groupdel.8, man/it/groupmod.8, man/it/grpck.8, man/it/lastlog.8, man/it/useradd.8, man/it/userdel.8, man/it/usermod.8:
	Remove ^M from end of line.

	* man/gpasswd.1, man/groupadd.8: Indentation in FILES section.

	* src/pwconv.c, src/useradd.c, src/userdel.c:
	s/bad command syntax/invalid command syntax/

	* src/userdel.c:
	Indent by hand (seems indent have problems with complex conditions).

	* man/ru/Makefile.am: man_MANS: s#passwd.1#passwd.5#

	* po/pl.po: s/nie mogę/nie można/

	* po/fr.po: Emoticon removed.

	* NEWS, configure.in, man/Makefile.am, man/ru/Makefile.am, man/ru/passwd.5:
	Added ru passwd(1) man page from KSI resources.

	* man/zh_CN/Makefile.am, man/zh_CN/chfn.1, man/zh_CN/chsh.1, man/zh_TW/Makefile.am, man/zh_TW/chfn.1, man/zh_TW/chsh.1, man/ja/dpasswd.8, man/ja/mkpasswd.8, man/ja/pwauth.8, man/ja/shadowconfig.8, man/ja/Makefile.am, man/ja/chage.1, man/ja/chfn.1, man/ja/chpasswd.8, man/ja/chsh.1, man/ja/expiry.1, man/ja/faillog.5, man/ja/faillog.8, man/ja/gpasswd.1, man/ja/groupadd.8, man/ja/groupdel.8, man/ja/groupmod.8, man/ja/groups.1, man/ja/grpck.8, man/ja/id.1, man/ja/lastlog.8, man/ja/limits.5, man/ja/login.1, man/ja/login.access.5, man/ja/login.defs.5, man/ja/logoutd.8, man/ja/newgrp.1, man/ja/newusers.8, man/ja/passwd.1, man/ja/passwd.5, man/ja/porttime.5, man/ja/pw_auth.3, man/ja/pwck.8, man/ja/pwconv.8, man/ja/shadow.3, man/ja/shadow.5, man/ja/su.1, man/ja/suauth.5, man/ja/sulogin.8, man/ja/useradd.8, man/ja/userdel.8, man/ja/usermod.8, man/ja/vipw.8, NEWS, man/cs/Makefile.am, man/cs/id.1:
	Added chch(1), chfn(1) man pages from chinese man pages translation
	project.
	Added id(1) man page czech man pages translation project.
	Updated ja man pages and added expiry(1).

	* man/hu/groups.1, man/hu/login.1:
	Remove info about $HOME/.profile from FILES section (this does not depends
	stricte on shadow).

	* configure.in, man/Makefile.am, man/es/Makefile.am:
	Added es man pages to ac/am suit.

	* man/hu/Makefile.am, man/hu/su.1:
	Added su(1) man page from hungarian man pages translation project.

2003-04-26  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: Ready for gettext 0.11.5, automake 1.7.4, autoconf 2.57.
	Many cleanups and unifications in man pages.

	* man/pt_BR/gpasswd.1, man/pt_BR/groupadd.8, man/pt_BR/groupdel.8, man/pt_BR/groupmod.8, man/pt_BR/shadow.5, man/zh_CN/chpasswd.8, man/zh_CN/groupadd.8, man/zh_CN/groupdel.8, man/zh_CN/groupmod.8, man/zh_CN/useradd.8, man/zh_CN/userdel.8, man/zh_CN/usermod.8, man/zh_TW/groupadd.8, man/zh_TW/groupdel.8, man/zh_TW/groupmod.8, man/zh_TW/useradd.8, man/zh_TW/userdel.8, man/zh_TW/usermod.8, man/ko/login.1, man/ko/su.1, man/pl/chage.1, man/pl/chfn.1, man/pl/chsh.1, man/pl/expiry.1, man/pl/gpasswd.1, man/pl/groupmems.8, man/pl/groups.1, man/pl/id.1, man/pl/lastlog.8, man/pl/login.1, man/pl/newgrp.1, man/pl/passwd.1, man/pl/su.1, man/pl/sulogin.8, man/pl/useradd.8, man/pl/usermod.8, man/ja/mkpasswd.8, man/ja/chage.1, man/ja/chfn.1, man/ja/chsh.1, man/ja/faillog.5, man/ja/faillog.8, man/ja/gpasswd.1, man/ja/groupadd.8, man/ja/groupdel.8, man/ja/groupmod.8, man/ja/groups.1, man/ja/grpck.8, man/ja/id.1, man/ja/lastlog.8, man/ja/limits.5, man/ja/login.1, man/ja/login.access.5, man/ja/logoutd.8, man/ja/newgrp.1, man/ja/passwd.1, man/ja/passwd.5, man/ja/porttime.5, man/ja/pwck.8, man/ja/shadow.3, man/ja/shadow.5, man/ja/su.1, man/ja/suauth.5, man/ja/sulogin.8, man/ja/useradd.8, man/ja/userdel.8, man/ja/usermod.8, man/hu/chsh.1, man/hu/gpasswd.1, man/hu/groups.1, man/hu/login.1, man/hu/newgrp.1, man/hu/passwd.1, man/it/gpasswd.1, man/it/groupadd.8, man/it/groupdel.8, man/it/groupmod.8, man/it/grpck.8, man/it/lastlog.8, man/it/shadow.5, man/it/useradd.8, man/it/userdel.8, man/it/usermod.8, man/cs/shadow.5, man/es/su.1, man/fr/chage.1, man/fr/faillog.5, man/fr/gpasswd.1, man/fr/shadow.5, man/fr/su.1, man/fr/userdel.8, man/fr/usermod.8, man/dpasswd.8, man/mkpasswd.8, man/chage.1, man/chfn.1, man/chsh.1, man/expiry.1, man/faillog.5, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupdel.8, man/groupmems.8, man/groupmod.8, man/groups.1, man/grpck.8, man/id.1, man/lastlog.8, man/limits.5, man/login.1, man/login.access.5, man/logoutd.8, man/newgrp.1, man/passwd.1, man/passwd.5, man/porttime.5, man/pwck.8, man/shadow.3, man/shadow.5, man/su.1, man/suauth.5, man/sulogin.8, man/useradd.8, man/userdel.8, man/usermod.8:
	Fixes: correct utmp/wtmp paths.
	Unifications: bold commnanda and italify other file names.
	Other minor changes and cleanups and unifications.

	* libmisc/limits.c: More utmpx/utmp fixes.

	* src/chpasswd.c, src/faillog.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmems.c, src/groupmod.c, src/id.c, src/login.c, src/newgrp.c, src/passwd.c, src/useradd.c, src/userdel.c, src/usermod.c, po/cs.po, po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po, po/sv.po, po/uk.po:
	Usage help message unification (s/usage:/Usage:/).

	* TODO: Missing "are".

	* src/logoutd.c, src/userdel.c, NEWS:
	Handle also utmpx if avalaile in userdel and logoutd.

2003-04-25  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/sulogin.c: Remove unused utent declaration.

	* src/sulogin.c, src/login.c:
	Remove #include <utmp.h> and <utmpx.h>. This comes with #include "prototypes.h".

	* lib/prototypes.h:
	"#include <utmp.h>" or "#include <utmpx.h>" depending on HAVE_UTMPX_H.

	* libmisc/failure.c:
	Remove "#include <utmp.h>" (this is included in failure.h).

	* configure.in:
	On detect mail spool directory location try first /var/mail.

2003-04-22  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/getdate.c, libmisc/login_access.c, libmisc/login_desrpc.c, libmisc/login_krb.c, libmisc/nscd.c, libmisc/setup.c, libmisc/entry.c, libmisc/env.c, libmisc/failure.c, libmisc/fields.c, libmisc/hushed.c, libmisc/isexpired.c, libmisc/limits.c, libmisc/list.c, libmisc/log.c, libmisc/loginprompt.c, libmisc/mail.c, libmisc/motd.c, libmisc/myname.c, libmisc/obscure.c, libmisc/pam_pass.c, libmisc/pwd2spwd.c, libmisc/pwd_init.c, libmisc/pwdcheck.c, libmisc/rlogin.c, libmisc/salt.c, libmisc/setugid.c, libmisc/setupenv.c, libmisc/shell.c, libmisc/strtoday.c, libmisc/sub.c, libmisc/sulog.c, libmisc/ttytype.c, libmisc/tz.c, libmisc/ulimit.c, libmisc/utmp.c, libmisc/valid.c, libmisc/xmalloc.c, libmisc/chkshell.c, libmisc/addgrps.c, libmisc/age.c, libmisc/basename.c, libmisc/chkname.c, libmisc/chowndir.c, libmisc/chowntty.c, libmisc/console.c, libmisc/copydir.c:
	Indent all using current .indent.pro settings.

	* po/Makevars: New file neccessary for gettext >=0.11.5.

	* man/Makefile.am: Removed getspnam.3 from man_MANS (dos not exist).

	* po/de.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/ru.po:
	Fixes after filtering gettext 0.11.5 (missing headers elements, inforrect
	format strings).

2003-04-21  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, man/de/passwd.1:
	updated german passwd(1) man page (by Josef Spillner <josef@ggzgamingzone.org>)

2003-03-12  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* po/pl.po: - updated; terminology unification

2003-02-28  Paweł Gołaszewski  <blues@pld.org.pl>

	* etc/login.defs: - missing "MD5_CRYPT_ENAB  yes" added

2003-01-20  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* configure.in: - added Makefiles for man/zh_{CN,TW}

	* man/Makefile.am, man/zh_CN/Makefile.am, man/zh_CN/chpasswd.8, man/zh_CN/groupadd.8, man/zh_CN/groupdel.8, man/zh_CN/groupmod.8, man/zh_CN/useradd.8, man/zh_CN/userdel.8, man/zh_CN/usermod.8, man/zh_TW/Makefile.am, man/zh_TW/groupadd.8, man/zh_TW/groupdel.8, man/zh_TW/groupmod.8, man/zh_TW/useradd.8, man/zh_TW/userdel.8, man/zh_TW/usermod.8:
	- added zh man pages from MDK (2 x 6) and from cman (1)

2003-01-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/ja/shadow.3, man/pl/shadow.3, man/shadow.3:
	sync spwd structure declaration with current glibc declaration (tahnks for
	point this bug to Michael Kerrisk <michael.kerrisk@gmx.net>).

	* man/pl/faillog.5: s/konsolę/terminal/

2002-12-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/Makefile.am: typo (s/EXTRA_DOST/EXTRA_DIST/).

2002-10-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/Makefile.am:
	fixed making vigr symlink to vipw (not vipw to vigr) in install-exec-hook (fix submited by
	Dimitar Zhekov <jimmy@is-vn.bg>).

	* debian/login.copyright, debian/login.postinst, debian/login.postrm, debian/login.preinst, debian/login.prerm, debian/logoutd.init, debian/passwd.conffiles, debian/passwd.copyright, debian/passwd.cron, debian/passwd.init, debian/passwd.postinst, debian/passwd.postrm, debian/porttime, debian/rules, debian/secure-su.README, debian/secure-su.conffiles, debian/secure-su.copyright, debian/secure-su.postrm, debian/secure-su.preinst, debian/securetty, debian/shadowconfig.sh, debian/Makefile.am, debian/changelog, debian/checksums, debian/control, debian/control.gnu, debian/control.linux, debian/login.conffiles, Makefile.am, configure.in:
	removed debian directory.

2002-10-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, src/newgrp.c:
	Use CLOSE_SESSIONS depending code only when USE_PAM.
	The problem was reported by Mattias Webjorn Eriksson using Slackware
	8.1 and reproduced it using slackware-current (9.0beta) (fix submited by
	Simon Williams <simon@no-dns-yet.org.uk>).

2002-10-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/ja/login.1, man/ja/logoutd.8, man/pl/login.1, man/pl/logoutd.8, man/hu/login.1, man/login.1, man/logoutd.8:
	changed utmp and wtmp files paths (s#/etc/utmp/#/var/run/utmp#; s#/etc/wtmp#/var/log/wtmp#)

	* po/ru.po, configure.in: added ru translation (from KSI resources).

2002-09-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, libmisc/failure.c:
	libbmisc/failure.c (too_many_failures): incorrect if() condition in non-PAM
	dependent code in fail login handling (fixed by Krzysztof Oledzki <ole@ans.pl>).

2002-08-05  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/useradd.8, man/useradd.8, NEWS:
	document useradd and groupadd -M option in en and pl man pages
	(by Jakub Mikusek <mick3y@o.k.pl>).

	* configure.in: start prepare 4.0.4.

2002-03-18  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* man/ja/dpasswd.8, man/ja/shadowconfig.8, man/ja/chpasswd.8, man/ja/faillog.8, man/ja/groupadd.8, man/ja/groupdel.8, man/ja/groupmod.8, man/ja/id.1, man/ja/lastlog.8, man/ja/login.defs.5, man/ja/newusers.8, man/ja/su.1, man/ja/useradd.8, man/ja/userdel.8, man/ja/usermod.8, man/ja/vipw.8:
	- updated to man-pages-ja-20020315 (except cvs tags)

2002-03-15  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* TODO: - remove already done pl man updates from the list

2002-03-13  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/ko/Makefile.am, man/ko/chfn.1, man/ko/chsh.1, man/ko/groups.1, man/ko/id.1, man/ko/login.1, man/ko/newgrp.1, man/ko/passwd.5, man/ko/su.1:
	added ko man pages.

	* man/de/Makefile.am: automake files for de man pages.

	* TODO: updated.

	* man/it/Makefile.am, man/id/adduser.8, man/id/Makefile.am, man/id/useradd.8, man/Makefile.am, man/cs/Makefile.am, man/fr/Makefile.am, configure.in, NEWS:
	added cs, de, fr, id, it, ko man pages to ac/am.

2002-03-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/sv.po, po/uk.po, po/cs.po, po/de.po, po/el.po:
	"make update-po"

	* po/de.po, NEWS, configure.in:
	added de translation (by Frank Schmid <frank@cs-schmid.de>).

	* NEWS: added info about Solar patch for man pages.

2002-03-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/it/usermod.8, man/it/vigr.8, man/it/vipw.8, man/it/adduser.8, man/it/chfn.1, man/it/chsh.1, man/it/gpasswd.1, man/it/groupadd.8, man/it/groupdel.8, man/it/groupmod.8, man/it/groups.1, man/it/grpck.8, man/it/grpconv.8, man/it/grpunconv.8, man/it/id.1, man/it/lastlog.8, man/it/login.1, man/it/newgrp.1, man/it/passwd.1, man/it/passwd.5, man/it/pwconv.8, man/it/pwunconv.8, man/it/shadow.5, man/it/useradd.8, man/it/userdel.8, man/id/adduser.8, man/id/chsh.1, man/id/login.1, man/fr/adduser.8, man/fr/chage.1, man/fr/chpasswd.8, man/fr/chsh.1, man/fr/faillog.5, man/fr/gpasswd.1, man/fr/groups.1, man/fr/id.1, man/fr/newgrp.1, man/fr/passwd.1, man/fr/passwd.5, man/fr/shadow.5, man/fr/su.1, man/fr/useradd.8, man/fr/userdel.8, man/fr/usermod.8, man/es/login.1, man/es/passwd.1, man/es/su.1, man/de/chsh.1, man/de/groups.1, man/de/login.1, man/de/passwd.1, man/de/su.1, man/cs/passwd.5, man/cs/shadow.5:
	added some raw cs, de, es, fr, id, it man pages from national
	man pages translation projects (all man pages not yet added to Makefile.am
	files because all need some work).

	* man/hu/chfn.1, man/hu/id.1:
	added id(1) chfn(1) from hu man pages translation project (it need some work
	because this documents describes GNU version id and chfn from util-linux).

	* man/hu/Makefile.am, man/hu/login.1:
	added login(1) man page from hu man pages translation project.

	* po/POTFILES.in: updated (suath.c moved to src/).

	* src/Makefile.am: added su_SOURCES with "su.c suauth.c".

	* libmisc/Makefile.am:
	remove suauth.c from libmisc_la_SOURCES (varialbles and functions from
	this file are usesd only in su).

	* libmisc/suauth.c, src/suauth.c: move suauth.c o src/.

	* libmisc/suauth.c:
	move "struct passwd pwent" outside #ifdef SU_ACCESS.

2002-03-09  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* man/pl/chage.1, man/pl/chfn.1, man/pl/chsh.1, man/pl/expiry.1, man/pl/gpasswd.1, man/pl/groups.1, man/pl/id.1, man/pl/login.1, man/pl/newgrp.1, man/pl/passwd.1, man/pl/su.1:
	- sync with en versions

	* man/login.1, man/newgrp.1, man/passwd.1, man/su.1, man/chage.1, man/chfn.1, man/chsh.1, man/expiry.1, man/gpasswd.1, man/groups.1, man/id.1:
	- update to chage.1; formatting/typo fixes

2002-03-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/uk.po, po/ko.po, po/pl.po, po/sv.po, po/ja.po, po/cs.po, po/el.po, po/fr.po:
	"make update-po"

2002-03-09  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* man/pt_BR/groupadd.8, man/pt_BR/groupdel.8, man/pt_BR/groupmod.8, man/pt_BR/shadow.5, man/pl/userdel.8, man/pl/usermod.8, man/pl/sulogin.8, man/pl/useradd.8, man/pl/pwconv.8, man/pl/su.1, man/pl/mkpasswd.8, man/pl/pwauth.8, man/pl/newgrp.1, man/pl/passwd.5, man/pl/login.defs.5, man/pl/chpasswd.8, man/pl/groupadd.8, man/pl/groupdel.8, man/pl/groupmems.8, man/pl/groupmod.8, man/pl/groups.1, man/pl/grpck.8, man/pl/id.1, man/pl/login.1, man/hu/groups.1, man/hu/newgrp.1, man/ja/mkpasswd.8, man/ja/pwauth.8, man/ja/groupadd.8, man/ja/groupdel.8, man/ja/groupmod.8, man/ja/groups.1, man/ja/grpck.8, man/ja/id.1, man/ja/lastlog.8, man/ja/login.1, man/ja/login.defs.5, man/ja/newgrp.1, man/ja/passwd.5, man/ja/pw_auth.3, man/ja/pwck.8, man/ja/shadow.5, man/ja/su.1, man/ja/sulogin.8, man/ja/useradd.8, man/ja/userdel.8, man/ja/usermod.8, man/ja/vipw.8, man/groupadd.8, man/groupdel.8, man/groupmems.8, man/groupmod.8:
	- further "SEE ALSO" references sorting

2002-03-08  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pwck.8, man/pwconv.8, man/shadow.5, man/su.1, man/sulogin.8, man/useradd.8, man/userdel.8, man/usermod.8, man/vipw.8, man/mkpasswd.8, man/pwauth.8, man/Makefile.am, man/chpasswd.8, man/groupadd.8, man/groupdel.8, man/groupmod.8, man/groups.1, man/grpck.8, man/id.1, man/login.1, man/login.defs.5, man/newgrp.1, man/newusers.8, man/passwd.5, man/pw_auth.3:
	merged shadow-4.0.0-owl-man.patch by Solar Designer <solar@openwall.com>.

	* NEWS: updated for 4.0.3.

	* libmisc/suauth.c, libmisc/utmp.c, src/login.c, src/su.c:
	swapped utent dnd pwent efinition/extern and now shadow source can be configured
	--with-shared (fix by Dimitar Zhekov <jimmy@is-vn.bg>).

2002-03-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in: start prepare 4.0.3.

	* src/Makefile.am:
	use ln -sf instead ln -s in install-exec-hok (fix pointed by Dimitar Zhekov
	<jimmy@is-vn.bg>).

2002-03-02  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* man/pl/passwd.1: sync with en version

	* man/passwd.1: - they -> his/her, user's
	- typos
	- fix sentence about "writing down"

	* man/passwd.1: relocation by NAKANO Takeo

2002-02-28  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* man/hu/passwd.1: missing "-"

	* man/ja/shadowconfig.8, man/ja/passwd.5, man/ja/shadow.5:
	- updated to man-pages-ja-20020215

2002-02-23  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* po/cs.po, po/fr.po, po/pl.po, po/sv.po, po/uk.po, man/pl/useradd.8:
	- typos in pl/useradd.8; commented out unsupported -r option description
	- useradd "usage" formatting fixes
	- fix translation in uk.po

2002-02-18  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in: release 4.0.2.

2002-02-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* shadow-utils.spec.in, Makefile.am, configure.in, shadow.spec.in:
	rename spec file s/shadow-utils.spec/shadow.spec/

	* po/cs.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/sv.po, po/uk.po:
	update-po before release.

	* po/ko.po, po/pl.po: cleanups.

2002-02-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/adduser.8, man/pl/grpconv.8, man/pl/grpunconv.8, man/pl/pwunconv.8, man/pl/sg.1, man/pl/vigr.8, man/ja/adduser.8, man/ja/grpconv.8, man/ja/grpunconv.8, man/ja/pwunconv.8, man/ja/sg.1, man/ja/vigr.8, man/hu/sg.1, man/adduser.8, man/grpconv.8, man/grpunconv.8, man/pwunconv.8, man/sg.1, man/vigr.8:
	placa ".so man<level>/<man_page>.<level>" in roff .so includes (seems some
	man page viewers do not handles correctly man documents without subdirectory
	name in roff .so incude).

2002-01-31  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/sv.po, po/uk.po, po/cs.po, po/el.po, NEWS:
	resolve many fuzzy translations also all this which may cause problems on
	displaing long uid/gid.

	* src/id.c, po/ko.po, po/pl.po, po/sv.po, po/uk.po, po/cs.po, po/el.po, po/fr.po, po/ja.po:
	drop translate some messages in id output (about {,e}{u,g}id).

2002-01-19  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* README: s#password: cvs#password: [empty password]#

2002-01-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: two new entries.

	* libmisc/chkname.c (good_name):
	allow usernames ending with "$" for allow create machine
	acounts for samba (thanks for point this problem in 4.0.1 by
	Jerome Borsboom <borsboom@tch.fgg.eur.nl>).

	* src/pwck.c, src/useradd.c, po/pl.po, po/sv.po, po/uk.po, po/cs.po, po/el.po, po/fr.po, po/ja.po, po/ko.po:
	s/invalid user name `%s'/invalid user name '%s'/

2002-01-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in:
	fix in libpam_misc detection (removed one "," AC_CHECK_LIB()).
	Thanks to Silvan Minghetti for report this.

2002-01-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: start prepare to 4.0.2.

	* po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/sv.po, po/uk.po, po/cs.po:
	updated.

	* configure.in: It is good time to release 4.0.1.

	* TODO: some things goes out other in.

	* src/newgrp.c, NEWS:
	added ability to log session closes in newgrp (look at long nice comments
	inside source code :_) by Joseph Parmelee <jparmele@wildbear.com>.

	* src/groupadd.c, src/useradd.c:
	next part fixes for handle long UID/GID (by Thorsten Kukuk <kukuk@suse.de>).

	* lib/getdef.c, lib/getdef.h:
	adeded getdef_unum(): get unsigned numerical value from table of
	definitions (Thorsten Kukuk <kukuk@suse.de>).

	* NEWS: updated.

	* libmisc/isexpired.c:
	remove "#if defined(SHADOWPWD)" (not removed during remove AGING).

	* etc/Makefile.am: useradd config file added to EXTRA_DIST.

2002-01-05  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/sv.po, po/uk.po, po/cs.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po:
	update.

	* src/pwck.c, src/pwconv.c, src/pwunconv.c, src/su.c, src/sulogin.c, src/useradd.c, src/userdel.c, src/usermod.c, src/vipw.c, src/dpasswd.c, src/mkpasswd.c, src/chage.c, src/chfn.c, src/chpasswd.c, src/chsh.c, src/expiry.c, src/faillog.c, src/gpasswd.c, src/groupadd.c, src/groupmems.c, src/groupmod.c, src/groups.c, src/grpck.c, src/grpconv.c, src/grpunconv.c, src/id.c, src/lastlog.c, src/login.c, src/logoutd.c, src/newgrp.c, src/newusers.c, src/passwd.c:
	Add -pcs to .indent.pro file and reindent all code.
	Remove "\n" from all SYSLOG() messages.

	* NEWS: s/SuSe/SuSE/

2001-12-22  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/useradd.8, man/useradd.8: documment -o option.

	* man/pl/usermod.8, man/pl/chfn.1, man/pl/chsh.1, man/pl/groupadd.8, man/pl/groupdel.8, man/pl/groupmod.8, man/pl/groups.1, man/pl/id.1, man/pl/login.1, man/pl/newgrp.1, man/pl/passwd.1, man/pl/su.1, man/pl/useradd.8, man/pl/userdel.8:
	correct package name (s/shadow-password/shadow/).

	* src/chage.c, src/expiry.c, src/login.c, src/passwd.c, src/su.c, libmisc/age.c, libmisc/isexpired.c, NEWS, configure.in:
	Finish integrate AGING code into SHADOWPW.
	Remove handle old HAVE_USERSEC_H code.

	* po/uk.po: typo.

	* man/pl/passwd.1, man/ja/passwd.1, man/dpasswd.8, man/chpasswd.8, man/newgrp.1, man/newusers.8, man/passwd.1:
	cleanups.

	* src/dpasswd.c, src/mkpasswd.c, src/expiry.c, src/grpck.c, src/id.c, src/newgrp.c, src/newusers.c, src/passwd.c, src/pwck.c, src/chfn.c, src/chsh.c, po/ja.po, po/ko.po, po/pl.po, po/sv.po, po/uk.po, po/cs.po, po/el.po, po/fr.po, man/useradd.8:
	standarize usage messages syntax.

	* man/pl/useradd.8, man/pl/usermod.8, man/pl/vipw.8, man/pl/userdel.8:
	removed duplicated man page text.

	* src/chage.c, po/ja.po, po/ko.po, po/pl.po, po/sv.po, po/uk.po, po/cs.po, po/el.po, po/fr.po:
	standarize usage meissages syntax.

	* src/chage.c, NEWS (main):
	merge part Solar shadow-4.0.0-owl-pam-auth.diff patch with reorder
	nitialize PAM and checkin is chage is runed by root or not - now chage can be
	runed from non-root account for checking by user own accout information.

	* src/pwck.c: indent source.

	* src/pwck.c (main): remove old work around for Slackware bug.

2001-12-20  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* man/ja/adduser.8, man/ja/Makefile.am, man/ja/limits.5, man/ja/pwconv.8:
	- updated to man-pages-ja-20011215

2001-11-19  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/grpck.c:
	remove check for a Slackware bug (make sure GID is not -1; it was special
	meaning for some syscalls).

	* src/newgrp.c, src/pwck.c, src/su.c, src/useradd.c, src/usermod.c, src/groupadd.c, src/groupmod.c, src/id.c, NEWS:
	fixes for handle/print correctly 32bit uid/gid (Thorsten Kukuk <kukuk@suse.de>).

	* src/chage.c: - break usage vomment line.

	* lib/defines.h:
	removed bunch spaces on end line in conditionale #include <errno.h>
	which in some cases dissallow compile correctly shadow (thanks for
	Silvan Minghetti <bullet@users.sourceforge.net>).

2001-11-17  Michał Moskal  <malekith@pld.org.pl>

	* NEWS:
	- mention fix for SEGV when using pwck -s on /etc/passwd file with
	  empty lines in it

	* lib/commonio.c:
	- installed fix for SEGV when using pwck -s on /etc/passwd file with
	  empty lines in it

2001-11-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/chkname.c, NEWS:
	next merge from Solar patches (shadow-4.0.0-owl-check_names.diff) but only
	part this patch with checking login name matching; checking is login
	string isn't longer than possible probably it will be good prepare using
	_POSIX_LOGIN_NAME_MAX from <bits/posix1_lim.h>

2001-11-16  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: typos.

	* NEWS: added info about new hu man pages.

	* NEWS: updated.

2001-11-16  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* man/ja/pwauth.8, man/ja/passwd.5, man/ja/porttime.5, man/ja/pw_auth.3, man/ja/pwck.8, man/ja/shadow.3, man/ja/shadow.5, man/ja/su.1, man/ja/suauth.5, man/ja/sulogin.8, man/ja/userdel.8, man/ja/usermod.8, man/ja/dpasswd.8, man/ja/mkpasswd.8, man/ja/Makefile.am, man/ja/chage.1, man/ja/chfn.1, man/ja/chpasswd.8, man/ja/chsh.1, man/ja/faillog.5, man/ja/faillog.8, man/ja/gpasswd.1, man/ja/groupadd.8, man/ja/groupdel.8, man/ja/groupmod.8, man/ja/grpck.8, man/ja/lastlog.8, man/ja/login.1, man/ja/login.access.5, man/ja/login.defs.5, man/ja/logoutd.8, man/ja/newgrp.1, man/ja/passwd.1:
	- updated to man-pages-ja-20011115.tar.gz

	* man/ja/groups.1: 3c26de91cfd359c0b7c36ca3cd3e170d  groups.1

	* man/ja/grpconv.8: 402190c04b8df45e20afd01e3acd0da4  grpconv.8

	* man/ja/grpunconv.8: 402190c04b8df45e20afd01e3acd0da4  grpunconv.8

	* man/ja/id.1: 3edc687b1c09bbdd170553f326a71711  id.1

	* man/ja/newusers.8: c2ecaa6ddffe07de2c39be3aefb5bcae  newusers.8

	* man/ja/pwunconv.8: 402190c04b8df45e20afd01e3acd0da4  pwunconv.8

	* man/ja/shadowconfig.8:
	f79300c0db64fd961443177c88605087  shadowconfig.8

	* man/ja/useradd.8: 3333b9a2e5a388a472fb05106d65a596  useradd.8

	* man/ja/vigr.8: 42825938683e54e391897ea100001af1  vigr.8

	* man/ja/vipw.8: 0cb8db0f1f19de7690f0ef9baeceb919  vipw.8

2001-11-16  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* lib/getpass.c:
	one fix warning from Solar shadow-4.0.0-owl-warnings.diff.

	* src/chage.c, lib/defines.h:
	move "#include <errno.h>" to /lib/defines.h.

	* configure.in: added AC_CHECK_HEADERS(errno.h)

	* src/chage.c: apply shadow-4.0.0-owl-chage-drop-priv.diff and
	shadow-4.0.0-owl-chage-ro-no-lock.diff by Solar Designer <solar@openwall.com>.
	Added locks which are needed when doing r/w accesses, not when running as root.
	If root does read-only, there's no lock needed. Added missing
	"#include <errno.h>" for above.

2001-11-14  Andrzej Krzysztofowicz  <ankry@pld.org.pl>

	* configure.in: - added hu directory antry

	* man/Makefile.am: - groups.1 moved to EXTRA_DIST
	- added hu directory entry

	* man/ja/Makefile.am: - sorted
	- shadow.3 moved to EXTRA_DIST

	* man/pl/Makefile.am: - sorted
	- added entries for new pages
	- EXTRA_DIST synced with man/Makefile.am

	* man/hu/Makefile.am, man/hu/chsh.1, man/hu/gpasswd.1, man/hu/groups.1, man/hu/newgrp.1, man/hu/passwd.1, man/hu/sg.1:
	- man pages from Debian

	* man/groupmems.8: - typo

	* man/pl/expiry.1, man/pl/groupmems.8: - translated pages

2001-11-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/Makefile.am:
	fix building with cracklib enabled: $(LIBCRACK) added to libmisc_la_LIBADD.

	* src/useradd.c: typo.

2001-11-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/dpasswd.c, src/gpasswd.c, src/groupadd.c, src/groupmod.c, src/grpck.c, src/lastlog.c, src/login.c, src/passwd.c, src/pwck.c, src/userdel.c, src/usermod.c, src/chage.c, src/chfn.c, src/chsh.c, libmisc/utmp.c:
	removed prototypes which are defined in libc header files
	(Thorsten Kukuk <kukuk@suse.de>).

	* libmisc/nscd.c, libmisc/Makefile.am, lib/commonio.c:
	implemetn better reloading the nscd cache (per NSS map)
	by Thorsten Kukuk <kukuk@suse.de>

	* src/login.c, libmisc/setupenv.c:
	fixed warnings "not used but defined" on compile using gcc 3.0.x
	by bulletpr00ph <bullet@users.sourceforge.net>.

2001-10-24  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: New entries for 4.0.1.

	* po/pl.po: few more pl translations.

	* po/cs.po, po/el.po, po/fr.po, po/ja.po, po/ko.po, po/pl.po, po/sv.po, po/uk.po:
	"make update-po".

	* po/ja.po, po/ko.po, configure.in:
	added ja, ko translations found in SuSe.

2001-10-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/useradd.c: sort alphabetically *flg variables.

	* debian/Makefile.am, debian/tar.c: removed.

2001-10-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/ja/Makefile.am, man/ja/sg.1, man/pl/Makefile.am, man/pl/sg.1, man/pl/vigr.8, man/sg.1, man/vigr.8, man/Makefile.am:
	added vigr(1) man page as roff .so link to vipw(1),                                                                             - added sg(1) man page as roff .so link to newgrp(1).

	* src/Makefile.am:
	added install symlinks newgrp -> sg, vipw -> vigr in install-exec-hook target.

2001-10-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* lib/Makefile.am (libshadow_la_SOURCES):
	reverte last change and added rcsid.h,
	(EXTRA_DIST): added missing "\".

	* src/Makefile.am: (DEFS):
	- fix -DLOCALEDIR in DEFS,
	- added -DHAVE_CONFIG_H,
	- removed @DEFS@.

	* lib/Makefile.am:
	added missing shadow_.h file to libshadow_la_SOURCES.

2001-09-08  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* Makefile.am (AUTOMAKE_OPTIONS):
	version changed to 1.5 and added dist-bzip2.

	* lib/Makefile.am, libmisc/Makefile.am, src/Makefile.am:
	add .indent.pro to EXTRA_DIST.

	* etc/Makefile.am, etc/useradd: add example /etc/defaults/useradd.

2001-09-07  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* TODO: last touch.

	* TODO: more TODO.

	* lib/commonio.c, NEWS:
	Fix bug discovered and fixed by Marcel Ritter <Marcel.Ritter@rrze.uni-erlangen.de>
	Due to a big buffer size in lib/commonio.c this error does only appear
	if a line gets longer than 4096 bytes (there are probably very few people
	stumbling across this).
	Ths bug can be exposed by trashing /etc/groups file using useradd with script:
		#!/bin/sh
		typeset -i NUM
		NUM=0
		groupadd demogroup
		while [ $NUM -le 1000 ]; do
		   useradd -g demogroup -G demogroup -p "NONE" user$NUM
		   NUM=$NUM+1
		done

2001-09-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/groups.c, src/id.c, src/newgrp.c, src/useradd.c, src/usermod.c, libmisc/addgrps.c, NEWS:
	remove limit 32 to groups per user (the same user can belong to
	more than 32 groups) by use sysconf(_SC_NGROUPS_MAX) instead constant
	NGROUPS_MAX (patch by Radu Constantin Rendec <radu.rendec@ines.ro>)
	NOTE: it probably need testing on other system for add some conditionals
	for using sysconf(_SC_NGROUPS_MAX) or NGROUPS_MAX constant.

2001-08-31  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* etc/pam.d/Makefile.am, etc/pam.d/useradd: added file for useradd.

2001-08-24  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/useradd.c (set_defaults):
	handle correctly error open/create useradd default config
	filei (based on orginal post to bugtraq).

	* TODO: documment in pt_BR, ja man pages -s {pw,grp}ck option.

	* libmisc/sulog.c, NEWS:
	remove limit to 6 chars logged tty name (apply 012_libmisc_sulog.c.diff Debian
	patch).

	* man/pl/shadowconfig.8, man/shadowconfig.8:
	- aply 021_man_shadowconfig_usr_doc.diff debian patch.

	* src/Makefile.am, lib/Makefile.am:
	use $(top_builddir) in .la files paths (for allow correct compile if
	$(top_builddir) isn't the same as $(top_srcdir)).

	* po/ChangeLog: removed ChangeLog.

2001-08-18  Michał Moskal  <malekith@pld.org.pl>

	* src/grpck.c: - fixed getopt() call, thnx to arekm

2001-08-15  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: - include last changes to list changes in version 4.0.0.

2001-08-14  Michał Moskal  <malekith@pld.org.pl>

	* NEWS: - mention new -s options

	* man/pl/grpck.8, man/pl/pwck.8, man/grpck.8, man/pwck.8:
	- documented new -s options

	* src/grpck.c, src/pwck.c: - added -s option to sort output files

	* lib/groupio.c, lib/groupio.h, lib/pwio.c, lib/pwio.h, lib/sgroupio.c, lib/sgroupio.h, lib/shadowio.c, lib/shadowio.h:
	- added pw_sort, gr_sort, sgr_sort and spw_sort functions

	* lib/commonio.c, lib/commonio.h:
	- added commonio_sort{,_wrt} functions

2001-08-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/ChangeLog, po/uk.po, configure.in:
	added uk translation (Roman Festchook <roma@polesye.net>).

	* src/logoutd.c (mani):
	s/ut->ut_libe/ut->ut_user/ on prepare strin with user name for syslog
	line (reported by Roman Festchook <roma@polesye.net>).

2001-07-27  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* acconfig.h: - added missing USG.

2001-07-04  Marek Michałkiewicz  <marekm@pld.org.pl>

	* lib/commonio.c:
	fix buffer overflow (not a security hole) in commonio_setname

2001-06-28  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS: entry about dropping support one argument pam_strerror().

	* libmisc/pam_pass.c, src/login.c, src/su.c, acconfig.h, configure.in, lib/defines.h, lib/pam_defs.h:
	drop detecting is pam_strerror() need one or two arguments. Instead using
	PAM_STRERROR() macro use directly pam_strerror() function with two arguments.
	pam_strerror() with one argument is obsoleted.

	* configure.in:
	pass display error message if libpam_misc not found in correct argument
	AC_CHECK_LIB().

	* configure.in:
	added checking for libpam_misc if libpam found and if libpam_misc is avalaible
	add them to $LIBPAM. Othervise exit fron autoconf script with error message.
	Now shadow compiles if pam support is enabled.

2001-06-28  Marek Michałkiewicz  <marekm@pld.org.pl>

	* libmisc/copydir.c: fix overwriting existing file (add O_TRUNC)

2001-06-23  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in: remove intl/po2tbl.sed from AC_OUTPUT().

	* configure.in:
	removed add md5.o md5crypt.o conditionaly to $LIBOBJS (this is obsoleted).
	In current version ndling md5 functionality is included conditionaly
	inside md5.c and md5crypt.c source files.

	* lib/md5.c: added comments for #endif.

	* configure.in: also do not use SU_ACCESS when PAM is used.

	* configure.in:
	- check pam directly by AC_CHECK_LIB() (PAM from PLD is now fixed an also other
	  PAM implementation must be fixed for this method checkin is libpam is avalaible;
	  sorry .. no way this is plain linking procedure bug),
	- use AC_DEFINE(LOGIN_ACCES) only when PAM isn't used.

2001-06-23  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/Makefile.am:
	add LDADD for groupmod and usermod, as they use PAM too

	* src/login.c, src/su.c: fix uninitialized variable failcount
	skip '*' in pw_shell for subsystem root

2001-06-23  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/login.c: use "extern int login_access()" only if !USE_PAM.

	* src/Makefile.am:
	added LDADD rules for programs which uses PAM and cracklib.

2001-06-23  Marek Michałkiewicz  <marekm@pld.org.pl>

	* libmisc/chowntty.c:
	allow root login even on read-only root filesystem

	* libmisc/Makefile.am: add -DHAVE_CONFIG_H to DEFS

2001-06-23  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* autogen.sh: run configure by default with --disable-desrpc,
	fix: --with-libpam (not --with-pam).

2001-06-23  Marek Michałkiewicz  <marekm@pld.org.pl>

	* libmisc/chowntty.c:
	libmisc/chowntty.c (chown_tty): move perror() before syslog() call
	which might change errno.

	* man/pl/login.defs.5, man/login.defs.5:
	(UMASK): Default value is 077, not 0 - see NEWS for shadow-3.3.2-951106.

2001-06-23  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* NEWS, configure.in: prepare for release 4.0.0 version.

	* configure.in: remove commented line.

2001-06-16  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/pl.po: fixed charset (must be iso-8859-2).

	* man/Makefile.am, man/ja/dpasswd.8, man/ja/mkpasswd.8, man/ja/pwauth.8, man/ja/Makefile.am, man/ja/chage.1, man/ja/chfn.1, man/ja/chpasswd.8, man/ja/chsh.1, man/ja/faillog.5, man/ja/faillog.8, man/ja/gpasswd.1, man/ja/groupadd.8, man/ja/groupdel.8, man/ja/groupmod.8, man/ja/grpck.8, man/ja/lastlog.8, man/ja/login.1, man/ja/login.access.5, man/ja/login.defs.5, man/ja/logoutd.8, man/ja/newgrp.1, man/ja/passwd.1, man/ja/passwd.5, man/ja/porttime.5, man/ja/pw_auth.3, man/ja/pwck.8, man/ja/pwconv.8, man/ja/shadow.3, man/ja/shadow.5, man/ja/su.1, man/ja/suauth.5, man/ja/sulogin.8, man/ja/userdel.8, man/ja/usermod.8, configure.in, NEWS:
	added ja man pages.

2001-05-30  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/shadowconfig.sh, src/Makefile.am, debian/Makefile.am, debian/shadowconfig.sh:
	move shadowconfig.sh to debian/

	* src/Makefile.am: added missing -I${top_srcdir} to INCLUDES.

	* lib/Makefile.am: empty DEFS and INCLUDES="-I$(top_srcdir)".

	* libmisc/Makefile.am:
	empty DEFS and INCLUDES="-I$(top_srcdir) -I$(top_srcdir)/lib".

2001-03-05  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* autogen.sh (conf_flags): added --with-pam.

	* NEWS: start complette next release information.

2001-02-04  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* shlib/Makefile.am, shlib/Makefile.in.saved: - removed.

	* src/Makefile.am, libmisc/Makefile.am, lib/Makefile.am:
	Rewrited automake suit for building lib, libmisc and src (now this look much
	better). Also for all is now used libtool in proper way.

	* configure.in:
	- added useing AM_DISABLE_SHARED, AM_ENABLE_STATIC for disable compile shared
	  libraries and enable static,
	- some cosmetics.

	* Makefile.am (SUBDIRS): reorder libmisc must be before lib.

2001-02-01  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pt_BR/Makefile.am: - added man_MANS to EXTRA_DIST.

2001-01-31  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/Makefile.am, man/pt_BR/Makefile.am, man/pt_BR/gpasswd.1, man/pt_BR/groupadd.8, man/pt_BR/groupdel.8, man/pt_BR/groupmod.8, man/pt_BR/shadow.5, configure.in:
	include pt_BR man pages for gpasswd(1), groupadd(1), groupdel(8),
	groupmod(8), shadow(5).

2001-01-27  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* TODO: - updated.

	* man/pl/dpasswd.8, man/pl/chage.1, man/pl/chfn.1, man/pl/chpasswd.8, man/pl/chsh.1, man/pl/faillog.5, man/pl/faillog.8, man/pl/gpasswd.1, man/pl/groupadd.8, man/pl/groupdel.8, man/pl/groupmod.8, man/pl/groups.1, man/pl/grpck.8, man/pl/id.1, man/pl/lastlog.8, man/pl/login.1, man/pl/newgrp.1, man/pl/newusers.8, man/pl/passwd.1, man/pl/su.1, man/pl/useradd.8, man/pl/userdel.8, man/pl/vipw.8, man/dpasswd.8, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupdel.8, man/groupmems.8, man/groupmod.8, man/groups.1, man/id.1, man/lastlog.8, man/newgrp.1, man/newusers.8, man/passwd.1, man/su.1, man/useradd.8, man/usermod.8, man/vipw.8:
	many small cleanups, fixes also removed commented obsoleted texts.

2001-01-25  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* autogen.sh: add to conf_flags --disable-shared.

	* man/pl/d_passwd.5, man/pl/dialups.5, man/pl/dpasswd.8, man/pl/mkpasswd.8, man/pl/pwauth.8, man/pl/shadowconfig.8, man/pl/chage.1, man/pl/chfn.1, man/pl/chpasswd.8, man/pl/chsh.1, man/pl/faillog.5, man/pl/faillog.8, man/pl/gpasswd.1, man/pl/groupadd.8, man/pl/groupdel.8, man/pl/groupmod.8, man/pl/groups.1, man/pl/grpck.8, man/pl/id.1, man/pl/lastlog.8, man/pl/limits.5, man/pl/login.1, man/pl/login.access.5, man/pl/login.defs.5, man/pl/logoutd.8, man/pl/newgrp.1, man/pl/newusers.8, man/pl/passwd.1, man/pl/passwd.5, man/pl/porttime.5, man/pl/pw_auth.3, man/pl/pwck.8, man/pl/pwconv.8, man/pl/shadow.3, man/pl/shadow.5, man/pl/su.1, man/pl/suauth.5, man/pl/sulogin.8, man/pl/useradd.8, man/pl/userdel.8, man/pl/usermod.8, man/pl/vipw.8, man/mkpasswd.8, man/pwauth.8, man/shadowconfig.8, man/newgrp.1, man/newusers.8, man/passwd.1, man/passwd.5, man/porttime.5, man/pw_auth.3, man/pwck.8, man/pwconv.8, man/shadow.3, man/shadow.5, man/su.1, man/suauth.5, man/sulogin.8, man/useradd.8, man/userdel.8, man/usermod.8, man/vipw.8, man/dpasswd.8, man/chage.1, man/chfn.1, man/chpasswd.8, man/chsh.1, man/expiry.1, man/faillog.5, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupdel.8, man/groupmems.8, man/groupmod.8, man/groups.1, man/grpck.8, man/id.1, man/lastlog.8, man/limits.5, man/login.1, man/login.access.5, man/login.defs.5, man/logoutd.8:
	put or move to top cemmented Id cvs keyword,
	(passwd.1): documment -e option (patch from Debian),
	(userdel.1): remove commented obsoleted options.

	* man/Makefile.am:
	put all files in man_MANS and EXTRA_DIST in alphabethic order.

	* src/chpasswd.c, src/pwunconv.c:
	remove from comments program description and history logs.

	* src/Makefile.am: move groups to bin_PROGRAMS.

2000-12-19  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/su.c: Based on Debian modyfications:
	(main): #endif /* USE_PAM */ #ifdef USE_PAM replaced by #else,
	(main): removed some dead code (scoped by #if 0 .. #endif).
	(main): call to re-establish SIGINT to right place.

	* man/pl/passwd.1: Removed SEE ALSO to shadow(3) and passwd(3).

	* man/pl/shadow.5, man/shadow.5: Removed SEE ALSO to shadow(3).

	* man/passwd.1: Removed SEE ALSO to passwd(3) and commented shadow(3).

2000-12-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/useradd.c (main):
	use "useradd" instead "shadow in pam_start() parameters - this
	allow use separated pam config file for useradd (for example for allow
	specified non-root user for add user).

2000-11-29  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* TODO: remove write expiry(1) man page.

	* man/Makefile.am, man/expiry.1: added expiry(1) man page from Debian.

	* man/pl/lastlog.8, man/lastlog.8:
	updated man pages for whole dispaly syntax.

	* src/lastlog.c (main): fixed command line syntax description.

	* src/lastlog.c (main):
	display correctly and full current commnad line lastlog syntax
	and also output this string using gettext.

	* src/lastlog.c (main):
	merge src_lastlogin.c patch from debian with use getopt_long()
	instead getopt() for add handling --help, --user, --time switches and
	dipslay useage message on -h, --help and as default action.

2000-11-17  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* src/groupmems.c, po/el.po, po/fr.po, po/pl.po, po/sv.po, po/POTFILES.in, po/cs.po:
	added i18n support for src/groupmems.c.

	* src/useradd.c:
	* (set_defaults): use mkstemp() if avalaible. Othereise use mktemp().

	* configure.in: * added checking for mkstemp().

	* src/useradd.c: * (set_defaults): use mkstemp() instead mktemp(),
	* (mani): fix compilation error in previouse RH patch (removed using nflg).

2000-11-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* TODO: - groupmems need some work on add PAM and i18n support.

	* src/groupmems.c, man/groupmems.8:
	Added raw version groupmems program for administer members of a user's
	primary group. groupmems was written by George Kraft IV <gk4@us.ibm.com>
	and this tool have BSD license.

	* src/patchlevel.h, src/Makefile.am:
	patchlevel.h, Makefile.am: removed patchlevel.h file,
	Makefile.am: removed bindir, sbindir (this comes with autoconf).

2000-11-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* TODO: - write expire man page.

2000-10-16  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* old/pwconv-old.8, old/pwconv.8, old/pwunconv-old.8, old/pwunconv.8, man/pl/mkpasswd.8, man/pl/pwauth.8, man/pl/login.defs.5, man/pl/logoutd.8, man/pl/newgrp.1, man/pl/newusers.8, man/pl/passwd.1, man/pl/porttime.5, man/pl/pw_auth.3, man/pl/pwck.8, man/pl/shadow.3, man/pl/su.1, man/pl/sulogin.8, man/pl/useradd.8, man/pl/userdel.8, man/pl/usermod.8, man/pl/dpasswd.8, man/pl/chage.1, man/pl/chfn.1, man/pl/chpasswd.8, man/pl/chsh.1, man/pl/faillog.5, man/pl/faillog.8, man/pl/groupadd.8, man/pl/groupdel.8, man/pl/groupmod.8, man/pl/groups.1, man/pl/grpck.8, man/pl/id.1, man/pl/lastlog.8, man/pl/login.1, man/dpasswd.8, man/mkpasswd.8, man/pwauth.8, man/chage.1, man/chfn.1, man/chpasswd.8, man/chsh.1, man/faillog.5, man/faillog.8, man/groupadd.8, man/groupdel.8, man/groupmod.8, man/groups.1, man/grpck.8, man/id.1, man/lastlog.8, man/login.1, man/login.defs.5, man/logoutd.8, man/newgrp.1, man/newusers.8, man/passwd.1, man/passwd.5, man/porttime.5, man/pw_auth.3, man/pwck.8, man/shadow.3, man/shadow.5, man/su.1, man/sulogin.8, man/useradd.8, man/userdel.8, man/usermod.8, debian/login.copyright, debian/passwd.copyright, debian/secure-su.copyright, doc/ANNOUNCE, doc/LSM, doc/README, doc/README.linux:
	Julianne F. Haugh new contact adress.

	* NEWS: - summary chanfes for 20001016.

	* doc/README.shadow-paper, doc/Makefile.am:
	- removed outdated README.shadow-paper.

	* configure.in: - release 20001016.

2000-10-15  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/Makefile.am, man/Makefile.am: fixes in man/{,po}/Makefile.am:
	- $(man_MANS) added to EXTRA_DISTS,
	- do not install by default groups.1, id.1, pw_auth.3, shadow.3, pwauth.8,
	  sulogin.8, dpasswd.8 (moved to EXTRA_DISTS),

2000-10-15  Marek Michałkiewicz  <marekm@pld.org.pl>

	* lib/commonio.c (reload_nscd): Disable for now because not every
	version of nscd can handle it, unless ENABLE_NSCD_SIGHUP defined.

2000-10-15  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* libmisc/pwdcheck.c, libmisc/Makefile.am: - added missing pwdcheck.c.

	* configure.in: - removed old/Makefile from AC_OUTPUT list.

2000-10-12  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* README: - fixed information about RO cvs access.

	* NEWS: - summary changes description for shadow-20001012.

	* configure.in: - release changed to 20001012.

	* etc/Makefile.am: - removed shells and suauth from EXTRA_DIST.

	* doc/Makefile.am: - removed README.debian from EXTRA_DIST.

	* libmisc/Makefile.am: - removed pwdcheck.c from libmisc_a_SOURCES.

	* debian/Makefile.am: - removed FILES from EXTRA_DIST.

	* contrib/Makefile.am: - s/udbachk.v012.tgz/udbachk.tgz/

	* doc/Makefile.am: - removed CHANGES (this file was moved to ../NEWS).

2000-10-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/ChangeLog: - add empty file (gettext requires this).

2000-10-10  Arkadiusz Miśkiewicz  <misiek@pld.org.pl>

	* README: typos fixed

2000-10-10  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* Makefile.am: - added shadow-utils.spec.in to EXTR_DIST.

	* redhat/shadow-utils.spec.in: - obsoleted.

	* stamp-h.in: - removed (this file is autogenerated by autoconf).

	* po/pl.po, po/sv.po, po/cs.po, po/el.po, po/fr.po:
	- update before release.

	* doc/LSM: - new maintainer and new primary site.

	* Makefile.am: - README added to EXTRA_DIST.

	* README: - added README with all shadow sites and resources details.

	* shadow-utils.spec.in: - partialy rewrited.

	* configure.in: - change version to 20001010.

	* Makefile.am: - added NEWS to EXTRA_DIST.

	* Makefile.am, TODO: - added TODO.

	* doc/CHANGES, NEWS: - rename doc/CHANGES -> NEWS.

2000-10-09  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* redhat/Makefile.am, redhat/README, redhat/shadow-970616-fix.patch, redhat/shadow-970616-glibc.patch, redhat/shadow-970616-rh.patch, redhat/shadow-970616-utuser.patch, redhat/shadow-970616.login.defs, redhat/shadow-970616.useradd, redhat/shadow-utils-970616.spec, shadow-utils.spec.in, Makefile.am, configure.in:
	- remove redhat/ directory with obsoleted files.

	* man/Makefile.am: - removed redundant ${man_MANS} from EXTRA_DIST.

	* src/useradd.c:
	- fix a security bug (adduser could overwrite previously existing
	  groups (shadow-19990827-group.patch from RH),

	* po/cs.po, po/el.po, po/fr.po, po/pl.po, po/sv.po:
	- "make updated-po".

	* man/pl/Makefile.am, man/pl/grpconv.8, man/pl/grpunconv.8, man/pl/pwunconv.8, man/Makefile.am, man/grpconv.8, man/grpunconv.8, man/pwunconv.8:
	- added man pages for grpconv(8), grpunconv(8), pwunconv(8) (.so link to
	  pwconv(8))

	* man/pl/adduser.8, man/pl/Makefile.am, man/adduser.8, man/Makefile.am:
	- added man page for adduser(8) (.so link to useradd(8)).

	* po/doit:
	- removed (in po/Makefile.in.in exist special update-po target).

	* etc/pam.d/passwd, etc/pam.d/su: - cosmetics.

	* etc/pam.d/shadow: - sample PAM config file for shadow utils.

	* etc/pam.d/Makefile.am: - added shadow to EXTRA_DIST

	* src/chpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/newusers.c, src/useradd.c, src/userdel.c, src/usermod.c:
	- bind to shadow PAM file instead userdb (mainly PAMimication all shadow
	  utils is used for proper updating db files but in real this can be used
	  for perform many other tasks).

	* src/Makefile.am: - added linking with @LIBPAM@ all PAMified tools.

	* src/chpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/newusers.c, src/useradd.c, src/userdel.c, src/usermod.c:
	- added PAM support (bind to common "userdb" PAM authentication description
	  file).

	* src/chage.c: - added PAM support.

2000-10-06  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* autogen.sh:
	- added autogen.sh script which prepare raw source code from cvs to use.

2000-10-04  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* man/pl/useradd.8, man/pl/userdel.8, man/pl/usermod.8, man/pl/vipw.8:
	- merged changes from PTM.

	* man/pl/Makefile.am:
	- simplified: use only man_MANS and remaped $(mandir) variable.

2000-09-27  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* po/cs.po, configure.in:
	- added cs translation (Jiri Pavlovsky <Jiri.Pavlovsky@ff.cuni.cz>).

2000-09-05  Marek Michałkiewicz  <marekm@pld.org.pl>

	* man/pl/sulogin.8, man/pl/vipw.8, po/el.po, po/fr.po, po/pl.po, po/sv.po, man/pl/d_passwd.5, man/pl/dialups.5, man/pl/dpasswd.8, man/pl/mkpasswd.8, man/pl/pwauth.8, man/pl/shadowconfig.8, man/pl/chage.1, man/pl/chfn.1, man/pl/chpasswd.8, man/pl/chsh.1, man/pl/faillog.5, man/pl/faillog.8, man/pl/gpasswd.1, man/pl/groups.1, man/pl/grpck.8, man/pl/id.1, man/pl/lastlog.8, man/pl/limits.5, man/pl/login.1, man/pl/login.access.5, man/pl/login.defs.5, man/pl/logoutd.8, man/pl/newgrp.1, man/pl/newusers.8, man/pl/passwd.1, man/pl/passwd.5, man/pl/porttime.5, man/pl/pw_auth.3, man/pl/pwck.8, man/pl/pwconv.8, man/pl/shadow.3, man/pl/shadow.5, man/pl/su.1, man/pl/suauth.5:
	*** empty log message ***

2000-09-02  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/groupmod.c, src/grpck.c, src/login.c, src/logoutd.c, src/newgrp.c, src/passwd.c, src/pwck.c, src/su.c, src/sulogin.c, src/useradd.c, src/userdel.c, src/usermod.c, lib/commonio.h, lib/defines.h, lib/groupio.c, lib/pwio.c, lib/sgroupio.c, lib/shadowio.c, man/usermod.8, po/el.po, po/fr.po, po/pl.po, po/sv.po, redhat/shadow-utils.spec.in, src/dpasswd.c, src/chage.c, src/chfn.c, src/chsh.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, configure.in, debian/rules, doc/CHANGES, doc/LSM, lib/commonio.c:
	*** empty log message ***

2000-08-26  Marek Michałkiewicz  <marekm@pld.org.pl>

	* contrib/Makefile.am, contrib/groupmems.shar, doc/LSM, po/el.po, po/fr.po, po/pl.po, po/sv.po, doc/README.mirrors, src/vipw.c, src/dpasswd.c, src/mkpasswd.c, src/Makefile.am, src/chage.c, src/chfn.c, src/chpasswd.c, src/chsh.c, src/expiry.c, src/faillog.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/groups.c, src/grpck.c, src/grpconv.c, src/grpunconv.c, src/id.c, src/lastlog.c, src/login.c, src/logoutd.c, src/newgrp.c, src/newusers.c, src/passwd.c, src/pwck.c, src/pwconv.c, src/pwunconv.c, src/su.c, src/sulogin.c, src/useradd.c, src/userdel.c, src/usermod.c, lib/dialchk.h, lib/dialup.h, lib/rad64.c, lib/tcfsio.h, lib/Makefile.am, lib/commonio.c, lib/commonio.h, lib/defines.h, lib/encrypt.c, lib/getdef.c, lib/getdef.h, lib/groupio.c, lib/groupio.h, lib/prototypes.h, lib/pwauth.c, lib/pwio.c, lib/pwio.h, lib/sgroupio.c, lib/sgroupio.h, lib/shadowio.h, libmisc/suauth.c, libmisc/chkname.h, libmisc/chowndir.c, libmisc/copydir.c, libmisc/entry.c, libmisc/failure.h, libmisc/getdate.h, libmisc/hushed.c, libmisc/loginprompt.c, libmisc/setupenv.c, libmisc/sulog.c, man/dpasswd.8, man/mkpasswd.8, man/pwauth.8, man/Makefile.am, man/chage.1, man/chfn.1, man/chpasswd.8, man/chsh.1, man/faillog.5, man/faillog.8, man/groupadd.8, man/groupdel.8, man/groupmod.8, man/groups.1, man/grpck.8, man/id.1, man/lastlog.8, man/login.1, man/login.defs.5, man/logoutd.8, man/newgrp.1, man/newusers.8, man/passwd.1, man/passwd.5, man/pl/Makefile.am, man/pl/groupadd.8, man/pl/groupdel.8, man/pl/groupmod.8, man/pl/useradd.8, man/pl/userdel.8, man/pl/usermod.8, man/porttime.5, man/pw_auth.3, man/pwck.8, man/shadow.3, man/shadow.5, man/su.1, man/sulogin.8, man/useradd.8, man/userdel.8, man/usermod.8, etc/login.defs.hurd, etc/login.defs.linux, doc/ANNOUNCE, doc/CHANGES, doc/README, doc/README.linux, doc/README.pam, doc/WISHLIST, debian/login.copyright, debian/passwd.copyright, debian/secure-su.copyright, mkinstalldirs, configure.in, Makefile.am:
	*** empty log message ***

1999-08-27  Marek Michałkiewicz  <marekm@pld.org.pl>

	* doc/LSM, po/el.po, po/fr.po, po/pl.po, po/sv.po, debian/passwd.postinst, lib/dialchk.c, lib/getdef.c, lib/getpass.c, lib/pwauth.c, libmisc/limits.c, libmisc/rlogin.c, man/limits.5, man/newgrp.1, src/dpasswd.c, src/chage.c, src/gpasswd.c, src/login.c, src/logoutd.c, src/newgrp.c, src/passwd.c, src/sulogin.c, acconfig.h, configure.in, debian/Makefile.am, debian/changelog, debian/control.gnu, debian/control.linux, debian/login.postrm, debian/logoutd, debian/logoutd.init, debian/passwd.conffiles, debian/passwd.cron, debian/passwd.init, debian/passwd.postrm, debian/rules, doc/CHANGES, doc/README.mirrors, doc/WISHLIST, etc/Makefile.am, etc/login.defs.hurd, etc/login.defs.linux, lib/defines.h:
	*** empty log message ***

1999-07-09  Marek Michałkiewicz  <marekm@pld.org.pl>

	* configure.in, contrib/Makefile.am, debian/changelog, doc/CHANGES, doc/LSM, doc/WISHLIST, lib/strcasecmp.c, lib/prototypes.h, libmisc/Makefile.am, man/faillog.8, po/el.po, po/pl.po, src/Makefile.am, src/chfn.c, src/chsh.c, src/faillog.c, src/groupmod.c, src/grpconv.c, src/grpunconv.c, src/newgrp.c, src/passwd.c, src/vipw.c:
	*** empty log message ***

1999-06-07  Marek Michałkiewicz  <marekm@pld.org.pl>

	* redhat/shadow-utils.spec.in, src/dpasswd.c, src/mkpasswd.c, src/Makefile.am, src/chage.c, src/chfn.c, src/chpasswd.c, src/chsh.c, src/expiry.c, src/faillog.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/groups.c, src/grpck.c, src/grpconv.c, src/grpunconv.c, src/id.c, src/lastlog.c, src/login.c, src/logoutd.c, src/newgrp.c, src/newusers.c, src/passwd.c, src/pwck.c, src/pwconv.c, src/pwunconv.c, src/su.c, src/sulogin.c, src/useradd.c, src/userdel.c, src/usermod.c, contrib/Makefile.am, contrib/README, contrib/udbachk.tgz, debian/changelog, debian/rules, doc/CHANGES, doc/README.mirrors, doc/LSM, doc/README.linux, doc/README.platforms, doc/WISHLIST, lib/Makefile.am, lib/fputsx.c, lib/getpass.c, lib/pam_defs.h, lib/prototypes.h, lib/rcsid.h, libmisc/login_desrpc.c, libmisc/pam_pass.c, libmisc/utmp.c, man/login.1, po/el.po, po/pl.po, acconfig.h, configure.in:
	*** empty log message ***

1999-03-07  Marek Michałkiewicz  <marekm@pld.org.pl>

	* po/pl.po, po/el.po, doc/LSM, src/useradd.c, src/su.c, src/pwconv.c, src/pwck.c, src/passwd.c, src/newusers.c, src/newgrp.c, src/logoutd.c, src/login.c, src/grpconv.c, src/grpck.c, src/groupadd.c, src/gpasswd.c, src/dpasswd.c, src/chfn.c, src/chage.c, man/usermod.8, man/useradd.8, man/limits.5, man/chage.1, libmisc/valid.c, libmisc/sub.c, libmisc/strtoday.c, libmisc/setupenv.c, libmisc/obscure.c, libmisc/limits.c, libmisc/env.c, lib/snprintf.h, lib/getdef.c, lib/encrypt.c, lib/defines.h, etc/login.defs.linux, doc/WISHLIST, doc/README.nls, doc/README.pam, doc/README.platforms, doc/README.mirrors, doc/README.linux, doc/Makefile.am, doc/CHANGES, debian/tar.c, debian/rules, debian/logoutd, debian/control, debian/changelog, configure.in:
	*** empty log message ***

1998-12-28  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/usermod.c, src/userdel.c, src/useradd.c, src/sulogin.c, src/su.c, src/pwunconv.c, src/pwconv.c, src/pwck.c, src/passwd.c, src/newusers.c, src/newgrp.c, src/mkpasswd.c, src/logoutd.c, src/login.c, src/lastlog.c, src/id.c, src/grpunconv.c, src/grpconv.c, src/grpck.c, src/groups.c, src/groupmod.c, src/groupdel.c, src/groupadd.c, src/gpasswd.c, src/faillog.c, src/expiry.c, src/dpasswd.c, src/chsh.c, src/chpasswd.c, src/chfn.c, src/chage.c, po/doit, po/POTFILES.in, po/el.po, src/Makefile.am, man/usermod.8, man/userdel.8, man/useradd.8, man/sulogin.8, man/su.1, man/shadow.5, man/shadow.3, man/pwck.8, man/pwauth.8, man/pw_auth.3, man/porttime.5, man/passwd.5, man/passwd.1, man/newusers.8, man/newgrp.1, man/mkpasswd.8, man/logoutd.8, man/login.defs.5, man/login.1, man/lastlog.8, man/id.1, man/grpck.8, man/groups.1, man/groupmod.8, man/groupdel.8, man/groupadd.8, man/faillog.8, man/faillog.5, man/dpasswd.8, man/chsh.1, man/chpasswd.8, man/chfn.1, man/chage.1, libmisc/xmalloc.c, libmisc/sub.c, libmisc/suauth.c, libmisc/shell.c, libmisc/setupenv.c, libmisc/pam_pass.c, libmisc/obscure.c, libmisc/mail.c, libmisc/login_desrpc.c, libmisc/limits.c, libmisc/failure.c, libmisc/env.c, libmisc/console.c, libmisc/chowntty.c, libmisc/age.c, libmisc/addgrps.c, libmisc/Makefile.am, lib/strerror.c, lib/pwauth.c, lib/prototypes.h, lib/getpass.c, lib/getdef.c, lib/dialchk.c, lib/defines.h, lib/Makefile.am, doc/WISHLIST, doc/README.platforms, doc/README.mirrors, doc/README.linux, doc/README, doc/LSM, doc/CHANGES, debian/secure-su.copyright, debian/passwd.copyright, debian/login.copyright, debian/control, debian/changelog, configure.in, acconfig.h, Makefile.am:
	*** empty log message ***

1998-07-24  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/passwd.c, src/su.c, src/userdel.c, src/Makefile.am, src/chage.c, src/faillog.c, src/login.c, lib/tcfsio.c, lib/tcfsio.h, lib/pwauth.c, libmisc/chowntty.c, libmisc/pam_pass.c, libmisc/setugid.c, etc/pam.d/passwd, etc/pam.d/su, lib/Makefile.am, lib/commonio.c, lib/defines.h, lib/prototypes.h, doc/README.mirrors, doc/Makefile.am, doc/README.linux, doc/README.platforms, doc/WISHLIST, etc/Makefile.am, etc/pam.d/Makefile.am, doc/CHANGES, debian/changelog, configure.in, acconfig.h:
	*** empty log message ***

1998-06-26  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/passwd.c, src/usermod.c, man/faillog.8, man/pwconv.8, src/logoutd.c, lib/getpass.c, libmisc/copydir.c, doc/README.mirrors, doc/README.linux, doc/WISHLIST, lib/commonio.c, debian/changelog, doc/CHANGES, configure.in:
	*** empty log message ***

1998-05-29  Marek Michałkiewicz  <marekm@pld.org.pl>

	* man/lastlog.8, man/login.1, src/usermod.c, doc/CHANGES, doc/README.linux, etc/login.defs.linux, lib/defines.h, debian/changelog, debian/login.copyright, debian/login.postinst, debian/passwd.copyright, debian/rules, debian/secure-su.copyright, configure.in, contrib/Makefile.am, contrib/shadow-anonftp.patch:
	*** empty log message ***

1998-04-16  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/useradd.c, src/userdel.c, src/usermod.c, src/passwd.c, src/sulogin.c, src/groupdel.c, src/login.c, src/logoutd.c, src/newgrp.c, src/dpasswd.c, src/chage.c, src/faillog.c, src/gpasswd.c, src/groupadd.c, redhat/shadow-970616-rh.patch, redhat/shadow-970616-utuser.patch, redhat/shadow-970616.login.defs, redhat/shadow-970616.useradd, redhat/shadow-utils-970616.spec, src/Makefile.am, libmisc/utmp.c, redhat/Makefile.am, redhat/README, redhat/shadow-970616-fix.patch, redhat/shadow-970616-glibc.patch, libmisc/login_desrpc.c, libmisc/limits.c, libmisc/log.c, libmisc/loginprompt.c, libmisc/obscure.c, libmisc/strtoday.c, libmisc/chkname.c, libmisc/chowndir.c, libmisc/copydir.c, libmisc/failure.c, lib/dialchk.c, lib/defines.h, lib/pwauth.c, lib/pwpack.c, doc/CHANGES, doc/README.linux, doc/WISHLIST, doc/cracklib26.diff, lib/commonio.c, acconfig.h, configure.in, debian/tar.c:
	*** empty log message ***

1998-04-02  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/groupmod.c, libmisc/sulog.c, lib/sgetspent.c, lib/sgetpwent.c, lib/sgetgrent.c, lib/putgrent.c, lib/gshadow.c, lib/getdef.c, lib/fputsx.c, lib/commonio.c, doc/README.mirrors, doc/README.linux, doc/CHANGES, configure.in:
	*** empty log message ***

1998-01-30  Marek Michałkiewicz  <marekm@pld.org.pl>

	* install-sh, src/userdel.c, src/usermod.c, src/pwconv.c, src/pwunconv.c, src/su.c, src/useradd.c, src/newgrp.c, src/newusers.c, src/passwd.c, src/pwck.c, src/groupmod.c, src/login.c, src/logoutd.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, src/chfn.c, src/chpasswd.c, src/chsh.c, src/expiry.c, redhat/README, redhat/shadow-utils.spec.in, src/Makefile.am, src/chage.c, man/login.defs.5, man/useradd.8, man/usermod.8, redhat/Makefile.am, libmisc/pam_pass.c, libmisc/strtoday.c, libmisc/tz.c, libmisc/login_access.c, libmisc/login_desrpc.c, libmisc/login_krb.c, libmisc/obscure.c, libmisc/age.c, libmisc/env.c, libmisc/limits.c, lib/strstr.c, lib/shadow.c, lib/shadowio.c, lib/shadowio.h, lib/utent.c, lib/rmdir.c, lib/pwio.c, lib/pwio.h, lib/sgetspent.c, lib/sgroupio.c, lib/mkdir.c, lib/putgrent.c, lib/prototypes.h, lib/pwauth.c, lib/md5crypt.c, lib/getpass.c, lib/groupio.c, lib/gshadow.c, lib/lockpw.c, lib/commonio.h, lib/defines.h, lib/encrypt.c, lib/getdef.c, lib/getdef.h, doc/README.mirrors, doc/automake-1.0.diff, doc/WISHLIST, lib/Makefile.am, lib/commonio.c, doc/ANNOUNCE, doc/CHANGES, doc/Makefile.am, doc/README.limits, doc/README.linux, debian/Makefile.am, debian/changelog, debian/login.copyright, debian/rules, mkinstalldirs, shadow-utils.spec, contrib/README, acconfig.h, aclocal.m4, configure.in, Makefile.am:
	*** empty log message ***

1998-01-25  Marek Michałkiewicz  <marekm@pld.org.pl>

	* acconfig.h: *** empty log message ***

1997-12-14  Marek Michałkiewicz  <marekm@pld.org.pl>

	* doc/CHANGES, debian/checksums, debian/rules, debian/Makefile.am, src/Makefile.am, src/userdel.c, src/usermod.c, src/pwck.c, src/useradd.c, src/mkpasswd.c, src/gpasswd.c, src/grpck.c, src/login.c, src/chage.c, src/chfn.c, src/chsh.c, man/shadowconfig.8, man/vipw.8, old/Makefile.am, old/pwunconv.8, man/Makefile.am, man/login.defs.5, man/pwconv.8, man/pwunconv.8, libmisc/limits.c, libmisc/rlogin.c, lib/pwdbm.c, lib/pwent.c, lib/prototypes.h, lib/shadow.c, doc/LSM, doc/WISHLIST, etc/limits, lib/grent.c, shadow-utils.spec, debian/changelog, configure.in:
	*** empty log message ***

1997-12-08  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/userdel.c, src/usermod.c, src/shadowconfig.sh, src/su.c, src/sulogin.c, src/useradd.c, src/passwd.c, src/pwck.c, src/pwconv.c, src/pwunconv.c, src/newgrp.c, src/newusers.c, src/mkpasswd.c, src/logoutd.c, src/grpconv.c, src/grpunconv.c, src/id.c, src/lastlog.c, src/login.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/groups.c, src/grpck.c, src/dpasswd.c, src/chsh.c, src/expiry.c, src/faillog.c, src/gpasswd.c, src/Makefile.am, src/chage.c, src/chfn.c, src/chpasswd.c, old/Makefile.am, old/pwconv.8, old/vipw.8, man/shadowconfig.8, man/Makefile.am, man/limits.5, man/pwconv.8, man/vipw.8, libmisc/tz.c, libmisc/ulimit.c, libmisc/utmp.c, libmisc/valid.c, libmisc/xmalloc.c, libmisc/suauth.c, libmisc/strtoday.c, libmisc/sub.c, libmisc/sulog.c, libmisc/ttytype.c, libmisc/setup.c, libmisc/salt.c, libmisc/setugid.c, libmisc/setupenv.c, libmisc/shell.c, libmisc/rlogin.c, libmisc/motd.c, libmisc/myname.c, libmisc/obscure.c, libmisc/pam_pass.c, libmisc/pwd2spwd.c, libmisc/pwd_init.c, libmisc/login_access.c, libmisc/login_desrpc.c, libmisc/login_krb.c, libmisc/loginprompt.c, libmisc/mail.c, libmisc/hushed.c, libmisc/isexpired.c, libmisc/limits.c, libmisc/list.c, libmisc/log.c, libmisc/getdate.c, libmisc/failure.h, libmisc/fields.c, libmisc/getdate.h, libmisc/getdate.y, libmisc/entry.c, libmisc/env.c, libmisc/failure.c, libmisc/chowndir.c, libmisc/chowntty.c, libmisc/console.c, libmisc/copydir.c, libmisc/chkshell.c, libmisc/age.c, libmisc/basename.c, libmisc/chkname.c, libmisc/chkname.h, lib/strdup.c, lib/strerror.c, lib/strstr.c, lib/utent.c, libmisc/Makefile.am, libmisc/addgrps.c, lib/spdbm.c, lib/sgroupio.c, lib/shadow.c, lib/shadowio.c, lib/sppack.c, lib/rename.c, lib/rmdir.c, lib/sgetgrent.c, lib/sgetpwent.c, lib/sgetspent.c, lib/rad64.c, lib/pwdbm.c, lib/pwent.c, lib/pwauth.c, lib/pwio.c, lib/pwpack.c, lib/mkdir.c, lib/putgrent.c, lib/putpwent.c, lib/putspent.c, lib/port.c, lib/prototypes.h, lib/gsdbm.c, lib/md5.c, lib/md5crypt.c, lib/gshadow.c, lib/gspack.c, lib/lockpw.c, lib/grdbm.c, lib/grent.c, lib/groupio.c, lib/grpack.c, lib/getpass.c, lib/dialup.c, lib/encrypt.c, lib/fputsx.c, lib/getdef.c, lib/dialchk.c, lib/dialchk.h, lib/commonio.c, lib/commonio.h, lib/defines.h, doc/automake-1.0.diff, etc/limits, etc/login.defs.linux, lib/Makefile.am, doc/CHANGES, doc/README.mirrors, doc/README.linux, doc/WISHLIST, debian/login.conffiles, debian/login.postinst, debian/passwd.postinst, debian/porttime, debian/rules, debian/secure-su.README, debian/securetty, contrib/pwdauth.c, debian/changelog, debian/control, acconfig.h, aclocal.m4, shadow-utils.spec, configure.in, Makefile.am:
	*** empty log message ***

1997-10-01  Marek Michałkiewicz  <marekm@pld.org.pl>

	* debian/changelog, src/chpasswd.c, libmisc/login_access.c, lib/commonio.h, lib/sgroupio.c, lib/shadowio.c, etc/login.defs.linux, doc/CHANGES, doc/README.mirrors, doc/LSM, doc/WISHLIST, shadow-utils.spec:
	*** empty log message ***

1997-09-30  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/useradd.c, src/userdel.c, src/usermod.c, src/pwconv.c, src/pwunconv.c, src/su.c, src/newusers.c, src/passwd.c, src/pwck.c, src/grpck.c, src/grpconv.c, src/grpunconv.c, src/login.c, src/groupmod.c, src/dpasswd.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, src/chage.c, src/chfn.c, src/chpasswd.c, src/chsh.c, src/Makefile.am, old/install-sh, old/pwconv-old.8, old/pwunconv-old.8, old/Makefile.am, man/pwconv.8, man/pwunconv.8, libmisc/setugid.c, libmisc/shell.c, libmisc/utmp.c, libmisc/mail.c, libmisc/obscure.c, libmisc/pam_pass.c, libmisc/salt.c, libmisc/login_access.c, libmisc/isexpired.c, libmisc/env.c, libmisc/fields.c, libmisc/addgrps.c, libmisc/chowndir.c, libmisc/chowntty.c, libmisc/console.c, libmisc/copydir.c, lib/strerror.c, lib/snprintf.c, lib/snprintf.h, lib/sgroupio.c, lib/sgroupio.h, lib/shadowio.c, lib/shadowio.h, lib/putgrent.c, lib/pwent.c, lib/pwauth.c, lib/grent.c, lib/getpass.c, lib/prototypes.h, lib/commonio.c, lib/commonio.h, lib/defines.h, lib/encrypt.c, lib/getdef.c, lib/Makefile.am, etc/login.defs.linux, doc/README.mirrors, doc/README.linux, doc/WISHLIST, doc/CHANGES, doc/LSM, doc/Makefile.am, debian/rules, debian/changelog, contrib/adduser.c, configure.in, acconfig.h:
	*** empty log message ***

1997-09-29  Marek Michałkiewicz  <marekm@pld.org.pl>

	* man/chpasswd.8, man/pwconv.8, man/pwunconv.8, man/su.1, man/Makefile.am:
	*** empty log message ***

1997-06-16  Marek Michałkiewicz  <marekm@pld.org.pl>

	* doc/console.c.spec, doc/Makefile.am, doc/WISHLIST, doc/console.c.spec.txt, doc/CHANGES, debian/changelog, src/shadowconfig.sh, redhat/Makefile.am, redhat/README, redhat/shadow-970502-config.patch, redhat/shadow-utils.spec, doc/README.mirrors, doc/README.shadow-paper, doc/README.linux, debian/login.copyright, debian/passwd.copyright, debian/secure-su.copyright, shadow-utils.spec, Makefile.am, configure.in:
	*** empty log message ***

1997-06-01  Marek Michałkiewicz  <marekm@pld.org.pl>

	* debian/changelog, src/userdel.c, src/usermod.c, src/pwck.c, src/pwunconv.c, src/useradd.c, src/grpunconv.c, src/newusers.c, src/passwd.c, src/expiry.c, src/grpconv.c, src/chage.c, src/chfn.c, src/chpasswd.c, src/chsh.c, src/Makefile.am, redhat/Makefile.am, redhat/README, redhat/shadow-970502-config.patch, redhat/shadow-utils.spec, libmisc/mail.c, libmisc/login_desrpc.c, lib/pwio.h, lib/shadowio.c, lib/shadowio.h, lib/prototypes.h, lib/pwauth.c, lib/pwio.c, lib/commonio.c, lib/defines.h, doc/README.linux, doc/WISHLIST, doc/CHANGES, doc/INSTALL, install-sh, mkinstalldirs, acconfig.h, Makefile.am, configure.in:
	*** empty log message ***

1997-05-02  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/shadowconfig.sh, src/Makefile.am, man/Makefile.am, libmisc/mail.c, libmisc/salt.c, lib/sgroupio.c, lib/shadowio.c, lib/groupio.c, lib/pwio.c, etc/Makefile.am, doc/WISHLIST, doc/CHANGES, debian/shadowconfig, debian/Makefile.am, debian/changelog, debian/control, debian/rules, configure.in, configure, shlib/Makefile.in, man/Makefile.in, libmisc/Makefile.in, lib/Makefile.in, etc/Makefile.in, doc/Makefile.in, contrib/Makefile.in, Makefile.in, man/userdel.8, man/usermod.8, man/shadow.5, man/su.1, man/sulogin.8, man/useradd.8, man/pwauth.8, man/pw_auth.3, man/pwck.8, man/pwconv.8, man/pwunconv.8, man/shadow.3, man/newusers.8, man/passwd.1, man/passwd.5, man/porttime.5, man/mkpasswd.8, man/login.defs.5, man/logoutd.8, man/newgrp.1, man/limits.5, man/login.1, man/groups.1, man/grpck.8, man/id.1, man/lastlog.8, man/faillog.5, man/faillog.8, man/groupadd.8, man/groupdel.8, man/groupmod.8, man/dpasswd.8, man/chage.1, man/chfn.1, man/chpasswd.8, man/chsh.1, libmisc/valid.c, libmisc/sulog.c, libmisc/ttytype.c, libmisc/tz.c, libmisc/utmp.c, libmisc/setup.c, libmisc/setupenv.c, libmisc/shell.c, libmisc/strtoday.c, libmisc/sub.c, libmisc/setugid.c, libmisc/obscure.c, libmisc/pwd2spwd.c, libmisc/rlogin.c, libmisc/login_access.c, libmisc/loginprompt.c, libmisc/motd.c, libmisc/hushed.c, libmisc/isexpired.c, libmisc/limits.c, libmisc/list.c, libmisc/log.c, libmisc/copydir.c, libmisc/entry.c, libmisc/env.c, libmisc/failure.c, libmisc/fields.c, libmisc/age.c, libmisc/chowndir.c, libmisc/chowntty.c, libmisc/console.c, lib/utent.c, lib/shadow_.h, lib/spdbm.c, lib/strstr.c, lib/sppack.c, lib/shadow.c, lib/sgetpwent.c, lib/sgetspent.c, lib/rad64.c, lib/rename.c, lib/rmdir.c, lib/pwpack.c, lib/sgetgrent.c, lib/pwdbm.c, lib/pwent.c, lib/pwauth.h, lib/putgrent.c, lib/putpwent.c, lib/putspent.c, lib/port.h, lib/pwauth.c, lib/lastlog_.h, lib/mkdir.c, lib/lockpw.c, lib/port.c, lib/gsdbm.c, lib/grpack.c, lib/gshadow.c, lib/gshadow_.h, lib/gspack.c, lib/grdbm.c, lib/grent.c, lib/getdef.c, lib/getpass.c, lib/dialup.h, lib/encrypt.c, lib/faillog.h, lib/fputsx.c, lib/dialchk.c, lib/dialup.c, lib/commonio.c, lib/defines.h, etc/login.defs, etc/login.defs.linux, doc/README.linux, doc/LICENSE, doc/Makefile.am, doc/README, doc/HOWTO, doc/ANNOUNCE, debian/secure-su.README, debian/secure-su.conffiles, debian/secure-su.copyright, debian/secure-su.postrm, debian/secure-su.preinst, debian/securetty, debian/passwd.conffiles, debian/passwd.copyright, debian/passwd.postinst, debian/porttime, debian/login.conffiles, debian/login.copyright, debian/login.postinst, debian/login.postrm, debian/login.preinst, debian/login.prerm, debian/logoutd, acconfig.h, config.h.in, Makefile.am, old/Makefile.in, old/scologin.c, old/orig-config.h, old/pwconv-old.c, old/pwd.h.m4, old/pwunconv-old.c, old/config.h.sun4, old/config.h.svr4, old/config.h.xenix, old/config.h.linux, old/Makefile.sun4, old/Makefile.svr4, old/Makefile.xenix, old/Makefile.am, old/Makefile.linux, src/Makefile.in, src/pwconv.c, src/userdel.c, src/usermod.c, src/useradd.c, src/su.c, src/sulogin.c, src/pwconv5.c, src/scologin.c, src/pwck.c, src/pwunconv.c, src/patchlevel.h, src/newusers.c, src/passwd.c, src/mkpasswd.c, src/logoutd.c, src/newgrp.c, src/grpunconv.c, src/id.c, src/lastlog.c, src/login.c, src/grpck.c, src/grpconv.c, src/groupdel.c, src/groupmod.c, src/groups.c, src/faillog.c, src/gpasswd.c, src/groupadd.c, src/dpasswd.c, src/chsh.c, src/expiry.c, src/chfn.c, src/chpasswd.c, src/chage.c:
	*** empty log message ***

1997-02-11  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/groupadd.c, src/useradd.c, libmisc/setupenv.c, lib/sgroupio.c, lib/shadowio.c, lib/groupio.c, lib/pwio.c, lib/Makefile.am, lib/commonio.c, doc/CHANGES, doc/HOWTO, README, configure.in:
	*** empty log message ***

1997-01-08  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/groupadd.c, lib/commonio.c, README, src/useradd.c, src/userdel.c, src/usermod.c, src/pwconv5.c, src/pwconv.c, src/su.c, src/passwd.c, src/pwck.c, src/grpunconv.c, src/login.c, src/logoutd.c, src/newgrp.c, src/grpck.c, src/grpconv.c, src/faillog.c, src/gpasswd.c, src/groupmod.c, src/chage.c, src/chfn.c, src/chsh.c, src/expiry.c, libmisc/ttytype.c, libmisc/utmp.c, libmisc/suauth.c, libmisc/strtoday.c, libmisc/shell.c, libmisc/failure.c, libmisc/log.c, libmisc/loginprompt.c, libmisc/myname.c, lib/shadowio.h, libmisc/Makefile.am, libmisc/chkname.c, lib/sgetpwent.c, lib/sgroupio.c, lib/sgroupio.h, lib/shadow.c, lib/shadowio.c, lib/pwent.c, lib/pwio.c, lib/pwio.h, lib/putgrent.c, lib/groupio.c, lib/groupio.h, lib/gshadow.c, lib/prototypes.h, lib/defines.h, lib/faillog.h, lib/getdef.c, doc/README.linux, doc/WISHLIST, etc/login.defs.linux, lib/Makefile.am, doc/CHANGES, doc/HOWTO, acconfig.h, configure.in:
	*** empty log message ***

1996-10-27  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/usermod.c, src/grpck.c, src/useradd.c, src/userdel.c, src/chsh.c, src/gpasswd.c, libmisc/isexpired.c, libmisc/limits.c, lib/sgroupio.c, lib/shadowio.c, lib/commonio.c, lib/groupio.c, lib/pwio.c, doc/CHANGES, doc/README.linux, doc/WISHLIST, configure, configure.in:
	*** empty log message ***

1996-09-25  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/usermod.c, src/sulogin.c, src/useradd.c, src/userdel.c, src/su.c, src/pwconv5.c, src/newgrp.c, src/passwd.c, src/pwck.c, src/grpck.c, src/login.c, src/logoutd.c, src/gpasswd.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/chfn.c, src/chsh.c, src/chage.c, libmisc/strtoday.c, libmisc/env.c, libmisc/fields.c, libmisc/isexpired.c, libmisc/setupenv.c, lib/rad64.c, lib/getdef.c, lib/prototypes.h, lib/defines.h, etc/login.defs.linux, doc/README.linux, doc/WISHLIST, doc/CHANGES, configure, configure.in, config.h.in:
	*** empty log message ***

1996-09-20  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/usermod.c, src/su.c, src/sulogin.c, src/useradd.c, src/userdel.c, src/newusers.c, src/passwd.c, src/pwck.c, src/grpck.c, src/login.c, src/logoutd.c, src/newgrp.c, src/groupdel.c, src/groupmod.c, src/dpasswd.c, src/chsh.c, src/gpasswd.c, src/groupadd.c, src/Makefile.in, src/chage.c, src/chfn.c, src/Makefile.am, libmisc/suauth.c, libmisc/shell.c, libmisc/sub.c, libmisc/ttytype.c, libmisc/env.c, libmisc/setugid.c, libmisc/setupenv.c, libmisc/chowntty.c, lib/prototypes.h, lib/getdef.c, doc/CHANGES, doc/WISHLIST:
	*** empty log message ***

1996-09-10  Marek Michałkiewicz  <marekm@pld.org.pl>

	* src/su.c, src/sulogin.c, src/usermod.c, src/logoutd.c, src/newgrp.c, src/passwd.c, src/pwconv.c, src/Makefile.in, src/chfn.c, src/chsh.c, src/grpunconv.c, src/login.c, src/Makefile.am, man/useradd.8, man/userdel.8, man/usermod.8, man/shadow.3, man/shadow.5, man/su.1, man/suauth.5, man/sulogin.8, man/pwauth.8, man/pw_auth.3, man/pwck.8, man/pwconv.8, man/pwunconv.8, man/newusers.8, man/passwd.1, man/passwd.5, man/porttime.5, man/mkpasswd.8, man/login.defs.5, man/logoutd.8, man/newgrp.1, man/groups.1, man/grpck.8, man/id.1, man/lastlog.8, man/login.1, man/login.access.5, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupdel.8, man/groupmod.8, man/dpasswd.8, man/chage.1, man/chfn.1, man/chpasswd.8, man/chsh.1, man/faillog.5, libmisc/isexpired.c, libmisc/obscure.c, libmisc/setupenv.c, libmisc/utmp.c, libmisc/age.c, lib/defines.h, lib/getdef.c, lib/getpass.c, etc/limits, etc/login.access, etc/login.defs.linux, doc/CHANGES, doc/README.linux, doc/WISHLIST, contrib/Makefile.in, contrib/Makefile.am, configure, configure.in:
	*** empty log message ***

1996-08-10  Marek Michałkiewicz  <marekm@pld.org.pl>

	* old/Makefile.am, old/Makefile.linux, old/Makefile.sun4, old/Makefile.svr4, old/Makefile.xenix, old/config.h.linux, old/config.h.sun4, old/config.h.svr4, old/config.h.xenix, old/install-sh, old/orig-config.h, old/pwd.h.m4, shlib/Makefile.am, shlib/Makefile.in, shlib/Makefile.in.saved:
	New file.

	* contrib/adduser-old.c, contrib/adduser.sh, contrib/adduser2.sh, contrib/atudel:
	960810 - first version under cvs

	* contrib/Makefile.in, contrib/Makefile.am, contrib/README, contrib/adduser.c, contrib/pwdauth.c, doc/ANNOUNCE, doc/CHANGES, doc/Makefile.in, doc/README.sun4, doc/automake-1.0.diff, doc/console.c.spec, doc/HOWTO, doc/LICENSE, doc/Makefile.am, doc/README, doc/README.limits, doc/README.linux, doc/WISHLIST, etc/Makefile.in, etc/Makefile.am, etc/login.access, etc/login.defs, etc/login.defs.linux, old/Makefile.in, src/patchlevel.h, src/pwconv5.c, src/scologin.c, src/chage.c, src/chfn.c, src/chsh.c, src/expiry.c, src/gpasswd.c, src/groups.c, src/grpconv.c, src/id.c, src/login.c, src/newgrp.c, src/passwd.c, src/pwconv.c, src/pwunconv.c, src/su.c, src/sulogin.c, lib/dialup.h, lib/grdbm.c, lib/grent.c, lib/gsdbm.c, lib/lastlog_.h, lib/md5.c, lib/md5.h, lib/md5crypt.c, lib/mkdir.c, lib/putgrent.c, lib/putpwent.c, lib/putspent.c, lib/pwdbm.c, lib/pwent.c, lib/rename.c, lib/rmdir.c, lib/shadow_.h, lib/spdbm.c, lib/strdup.c, lib/strstr.c, lib/defines.h, lib/faillog.h, lib/getdef.h, lib/groupio.h, lib/grpack.c, lib/gshadow_.h, lib/gspack.c, lib/port.h, lib/prototypes.h, lib/pwauth.h, lib/pwio.h, lib/pwpack.c, lib/rcsid.h, lib/sgetgrent.c, lib/sgetpwent.c, lib/sgetspent.c, lib/sgroupio.h, lib/shadow.c, lib/shadowio.c, lib/shadowio.h, lib/sppack.c, lib/utent.c, src/Makefile.in, src/dpasswd.c, src/mkpasswd.c, src/Makefile.am, src/chpasswd.c, src/faillog.c, src/groupadd.c, src/groupdel.c, src/groupmod.c, src/grpck.c, src/lastlog.c, src/logoutd.c, src/newusers.c, src/pwck.c, src/useradd.c, src/userdel.c, src/usermod.c, lib/Makefile.in, lib/dialchk.c, lib/dialup.c, lib/rad64.c, lib/Makefile.am, lib/commonio.c, lib/encrypt.c, lib/fputsx.c, lib/getdef.c, lib/getpass.c, lib/groupio.c, lib/gshadow.c, lib/lockpw.c, lib/port.c, lib/pwauth.c, lib/pwio.c, lib/sgroupio.c, libmisc/login_access.c, libmisc/login_desrpc.c, libmisc/login_krb.c, libmisc/setup.c, libmisc/suauth.c, libmisc/age.c, libmisc/basename.c, libmisc/chkname.c, libmisc/chowndir.c, libmisc/chowntty.c, libmisc/console.c, libmisc/copydir.c, libmisc/entry.c, libmisc/env.c, libmisc/failure.c, libmisc/fields.c, libmisc/hushed.c, libmisc/isexpired.c, libmisc/limits.c, libmisc/list.c, libmisc/log.c, libmisc/loginprompt.c, libmisc/mail.c, libmisc/motd.c, libmisc/obscure.c, libmisc/pwd2spwd.c, libmisc/rlogin.c, libmisc/salt.c, libmisc/setugid.c, libmisc/setupenv.c, libmisc/shell.c, libmisc/strtoday.c, libmisc/sub.c, libmisc/sulog.c, libmisc/ttytype.c, libmisc/tz.c, libmisc/ulimit.c, libmisc/utmp.c, libmisc/valid.c, libmisc/xmalloc.c, man/Makefile.in, man/dpasswd.8, man/mkpasswd.8, man/pwauth.8, man/Makefile.am, man/chage.1, man/chfn.1, man/chpasswd.8, man/chsh.1, man/faillog.5, man/faillog.8, man/gpasswd.1, man/groupadd.8, man/groupdel.8, man/groupmod.8, man/groups.1, man/grpck.8, man/id.1, man/lastlog.8, man/login.1, man/login.access.5, man/login.defs.5, man/logoutd.8, man/newgrp.1, man/newusers.8, man/passwd.1, man/passwd.5, man/porttime.5, man/pw_auth.3, man/pwck.8, man/pwconv.8, man/pwunconv.8, man/shadow.3, man/shadow.5, man/su.1, man/suauth.5, man/sulogin.8, man/useradd.8, man/userdel.8, man/usermod.8, Makefile.in, acconfig.h, aclocal.m4, config.h.in, configure, install-sh, mkinstalldirs, stamp-h.in, Makefile.am, README, configure.in, libmisc/Makefile.in, libmisc/Makefile.am, libmisc/addgrps.c:
	New file.

